global function PlayRecoding_recording_loop
global function PlayRecoding_recording_wallrun
global function PlayRecoding_recording_sarah
global function TEST_built_in_anims

const float FAST = 0.000000000000000000001
const table WALLRUN_MAP = { left = "pt_wallrun_hang_left", right = "pt_wallrun_hang_right", back = "pt_wallrun_hang_up", front = "pt_wallrun_hang_front" }

struct Recording {
   entity mover
   entity pilot
   bool state
}

void function PlayRecoding_recording_loop()
{
	print( "starting pre-recorded movement" )

	Recording recording = CreateRecording( < -2.12805, -3236.17, 576.031 >, < 0, 54.8834, 0 > )

	OnThreadEnd(
	   function() : ( recording )
	   {
	       if ( IsValid( recording.mover ) )
	           recording.mover.Destroy()
	       if ( IsValid( recording.pilot ) )
	           recording.pilot.Destroy()
	   }
	)

	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 91.2903, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 122.058, 0 > )
	WaitFrame()
	RunTo( recording, < 1.8082, -3229.42, 576.031 >, < 0, 135.957, 0 > )
	WaitFrame()
	RunTo( recording, < 0.71709, -3228.98, 576.031 >, < 0, 144.462, 0 > )
	WaitFrame()
	RunTo( recording, < -13.3938, -3224.49, 576.031 >, < 0, 153.505, 0 > )
	WaitFrame()
	RunTo( recording, < -37.3084, -3219.62, 576.031 >, < 0, 161.694, 0 > )
	WaitFrame()
	RunTo( recording, < -63.1791, -3216.75, 576.031 >, < 0, 167.847, 0 > )
	WaitFrame()
	RunTo( recording, < -89.5269, -3214.92, 576.031 >, < 0, 171.781, 0 > )
	WaitFrame()
	RunTo( recording, < -114.41, -3213.86, 576.031 >, < 0, 174.946, 0 > )
	WaitFrame()
	RunTo( recording, < -142.542, -3212.81, 576.031 >, < 0, 176.391, 0 > )
	WaitFrame()
	RunTo( recording, < -158.144, -3212.22, 576.031 >, < 0, 177.337, 0 > )
	WaitFrame()
	RunTo( recording, < -185.689, -3210.75, 576.031 >, < 0, 176.977, 0 > )
	WaitFrame()
	RunTo( recording, < -211.361, -3208.33, 576.031 >, < 0, 175.765, 0 > )
	WaitFrame()
	JumpTo( recording, < -238.888, -3205.55, 588.507 >, < 0, 174.958, 0 > )
	WaitFrame()
	JumpTo( recording, < -272.271, -3202.18, 617.737 >, < 0, 175.302, 0 > )
	WaitFrame()
	JumpTo( recording, < -295.768, -3199.81, 632.32 >, < 0, 176.431, 0 > )
	WaitFrame()
	JumpTo( recording, < -321.226, -3197.23, 642.54 >, < 0, 177.248, 0 > )
	WaitFrame()
	JumpTo( recording, < -345.731, -3192.84, 646.925 >, < 0, 177.726, 0 > )
	WaitFrame()
	FallTo( recording, < -370.074, -3181.42, 645.434 >, < 0, 177.772, 0 > )
	WaitFrame()
	FallTo( recording, < -394.508, -3169.93, 637.537 >, < 0, 176.549, 0 > )
	WaitFrame()
	FallTo( recording, < -417.041, -3159.31, 624.565 >, < 0, 174.331, 0 > )
	WaitFrame()
	SlideTo( recording, < -439.245, -3148.83, 618.939 >, < 0, 172.339, 0 > )
	WaitFrame()
	SlideTo( recording, < -462.84, -3137.6, 593.843 >, < 0, 169.929, 0 > )
	WaitFrame()
	SlideTo( recording, < -493.611, -3122.13, 576.041 >, < 0, 168.175, 0 > )
	WaitFrame()
	SlideTo( recording, < -523.932, -3106.5, 589.152 >, < 0, 166.724, 0 > )
	WaitFrame()
	SlideTo( recording, < -556.946, -3088.7, 609.473 >, < 0, 163.769, 0 > )
	WaitFrame()
	SlideTo( recording, < -590.424, -3067.73, 624.614 >, < 0, 160.364, 0 > )
	WaitFrame()
	SlideTo( recording, < -623.28, -3044.02, 633.663 >, < 0, 155.888, 0 > )
	WaitFrame()
	SlideTo( recording, < -657.892, -3015.15, 636.247 >, < 0, 151.849, 0 > )
	WaitFrame()
	SlideTo( recording, < -678.256, -2996.65, 634.045 >, < 0, 149.144, 0 > )
	WaitFrame()
	SlideTo( recording, < -704.581, -2969.71, 626.5 >, < 0, 145.372, 0 > )
	WaitFrame()
	SlideTo( recording, < -733.215, -2936.19, 611.184 >, < 0, 142.062, 0 > )
	WaitFrame()
	SlideTo( recording, < -763.661, -2895.46, 585.037 >, < 0, 139.611, 0 > )
	WaitFrame()
	SlideTo( recording, < -781.685, -2868.49, 563.722 >, < 0, 135.886, 0 > )
	WaitFrame()
	SlideTo( recording, < -803.841, -2829.73, 528.712 >, < 0, 131.329, 0 > )
	WaitFrame()
	SlideTo( recording, < -823.014, -2789.39, 487.283 >, < 0, 127.071, 0 > )
	WaitFrame()
	SlideTo( recording, < -840.835, -2742.25, 433.102 >, < 0, 122.413, 0 > )
	WaitFrame()
	SlideTo( recording, < -851.412, -2706.32, 387.895 >, < 0, 118.597, 0 > )
	WaitFrame()
	SlideTo( recording, < -861.584, -2662.9, 333.218 >, < 0, 114.382, 0 > )
	WaitFrame()
	SlideTo( recording, < -869.197, -2624.16, 344.48 >, < 0, 111.77, 0 > )
	WaitFrame()
	SlideTo( recording, < -875.718, -2581.65, 359.626 >, < 0, 109.076, 0 > )
	WaitFrame()
	SlideTo( recording, < -880.496, -2529.74, 370.394 >, < 0, 105.615, 0 > )
	WaitFrame()
	SlideTo( recording, < -881.148, -2486.57, 373.148 >, < 0, 101.886, 0 > )
	WaitFrame()
	SlideTo( recording, < -877.822, -2439.42, 369.951 >, < 0, 97.4436, 0 > )
	WaitFrame()
	SlideTo( recording, < -872.429, -2403.05, 363.104 >, < 0, 93.8123, 0 > )
	WaitFrame()
	SlideTo( recording, < -860.752, -2350.52, 346.382 >, < 0, 88.4543, 0 > )
	WaitFrame()
	SlideTo( recording, < -847.825, -2307.21, 326.334 >, < 0, 84.5938, 0 > )
	WaitFrame()
	SlideTo( recording, < -831.714, -2264.49, 300.676 >, < 0, 80.4796, 0 > )
	WaitFrame()
	SlideTo( recording, < -812.832, -2223.59, 270.17 >, < 0, 76.4482, 0 > )
	WaitFrame()
	SlideTo( recording, < -785.969, -2174.77, 225.454 >, < 0, 71.8501, 0 > )
	WaitFrame()
	SlideTo( recording, < -759.93, -2133.83, 180.332 >, < 0, 68.1001, 0 > )
	WaitFrame()
	SlideTo( recording, < -731.042, -2094.53, 129.344 >, < 0, 63.9167, 0 > )
	WaitFrame()
	SlideTo( recording, < -703.557, -2062.1, 80.4367 >, < 0, 60.4775, 0 > )
	WaitFrame()
	SlideTo( recording, < -666.013, -2025.13, 14.3132 >, < 0, 55.7786, 0 > )
	WaitFrame()
	SlideTo( recording, < -626.647, -1991.66, 0.0412502 >, < 0, 51.2458, 0 > )
	WaitFrame()
	SlideTo( recording, < -590.068, -1964.57, 19.2876 >, < 0, 46.131, 0 > )
	WaitFrame()
	SlideTo( recording, < -553.056, -1941.93, 32.4207 >, < 0, 42.3196, 0 > )
	WaitFrame()
	SlideTo( recording, < -503.855, -1914.15, 42.1295 >, < 0, 38.3614, 0 > )
	WaitFrame()
	SlideTo( recording, < -464.525, -1892.03, 43.9446 >, < 0, 35.8063, 0 > )
	WaitFrame()
	SlideTo( recording, < -418.55, -1866.18, 39.3851 >, < 0, 33.4358, 0 > )
	WaitFrame()
	SlideTo( recording, < -385.306, -1847.48, 31.6015 >, < 0, 31.9777, 0 > )
	WaitFrame()
	SlideTo( recording, < -344.177, -1824.35, 16.7607 >, < 0, 30.5554, 0 > )
	WaitFrame()
	SlideTo( recording, < -296.797, -1797.71, 0.0312481 >, < 0, 29.4303, 0 > )
	WaitFrame()
	SlideTo( recording, < -255.647, -1774.57, 12.9993 >, < 0, 28.9358, 0 > )
	WaitFrame()
	SlideTo( recording, < -210.71, -1749.3, 31.2658 >, < 0, 28.4911, 0 > )
	WaitFrame()
	SlideTo( recording, < -176.36, -1729.98, 39.9738 >, < 0, 28.6303, 0 > )
	WaitFrame()
	SlideTo( recording, < -138.565, -1708.73, 44.2942 >, < 0, 29.1555, 0 > )
	WaitFrame()
	SlideTo( recording, < -101.251, -1687.74, 43.1524 >, < 0, 30.4526, 0 > )
	WaitFrame()
	SlideTo( recording, < -64.575, -1662.86, 36.2765 >, < 0, 33.3825, 0 > )
	WaitFrame()
	SlideTo( recording, < -24.5639, -1626.97, 20.0416 >, < 0, 39.9466, 0 > )
	WaitFrame()
	SlideTo( recording, < 6.29217, -1591.22, 0.04125 >, < 0, 46.0735, 0 > )
	WaitFrame()
	SlideTo( recording, < 25.1144, -1566.96, 0.0412502 >, < 0, 50.6675, 0 > )
	WaitFrame()
	SlideTo( recording, < 46.7868, -1538.53, 0.0412502 >, < 0, 53.5641, 0 > )
	WaitFrame()
	SlideTo( recording, < 69.1822, -1509.04, 0.0412502 >, < 0, 55.3552, 0 > )
	WaitFrame()
	SlideTo( recording, < 88.1591, -1484.05, 0.0412502 >, < 0, 55.9744, 0 > )
	WaitFrame()
	SlideTo( recording, < 110.329, -1454.85, 0.0412502 >, < 0, 56.4383, 0 > )
	WaitFrame()
	SlideTo( recording, < 127.549, -1432.18, 0.0412502 >, < 0, 56.6401, 0 > )
	WaitFrame()
	SlideTo( recording, < 143.88, -1410.67, 0.0412502 >, < 0, 56.6401, 0 > )
	WaitFrame()
	SlideTo( recording, < 160.486, -1388.8, 0.0412502 >, < 0, 56.6401, 0 > )
	WaitFrame()
	RunTo( recording, < 172.217, -1373.36, 0.0412502 >, < 0, 80.5933, 0 > )
	WaitFrame()
	RunTo( recording, < 160.392, -1367.96, 0.0412502 >, < 0, 131.66, 0 > )
	WaitFrame()
	RunTo( recording, < 148.195, -1369.19, 0.03125 >, < 0, 149.764, 0 > )
	WaitFrame()
	RunTo( recording, < 130.253, -1372.61, 0.03125 >, < 0, 172.899, 0 > )
	WaitFrame()
	RunTo( recording, < 111.732, -1377.38, 0.03125 >, < 0, -175.509, 0 > )
	WaitFrame()
	RunTo( recording, < 87.53, -1384.88, 0.03125 >, < 0, -169.131, 0 > )
	WaitFrame()
	RunTo( recording, < 62.5895, -1393.28, 0.03125 >, < 0, -164.991, 0 > )
	WaitFrame()
	RunTo( recording, < 35.2364, -1402.51, 0.03125 >, < 0, -163.029, 0 > )
	WaitFrame()
	RunTo( recording, < 12.3857, -1410.21, 0.03125 >, < 0, -162.222, 0 > )
	WaitFrame()
	RunTo( recording, < -11.5416, -1417.76, 0.03125 >, < 0, -162.489, 0 > )
	WaitFrame()
	RunTo( recording, < -39.9946, -1425.73, 0.03125 >, < 0, -163.615, 0 > )
	WaitFrame()
	RunTo( recording, < -64.8059, -1429.67, 0.03125 >, < 0, -167.674, 0 > )
	WaitFrame()
	RunTo( recording, < -87.3249, -1432.48, 0.03125 >, < 0, -170.246, 0 > )
	WaitFrame()
	CrouchTo( recording, < -112.796, -1435.12, 0.03125 >, < 0, -171.741, 0 > )
	WaitFrame()
	CrouchTo( recording, < -134.266, -1436.84, 0.03125 >, < 0, -172.368, 0 > )
	WaitFrame()
	CrouchTo( recording, < -154.197, -1437.97, 0.03125 >, < 0, -172.771, 0 > )
	WaitFrame()
	CrouchTo( recording, < -173.923, -1438.6, 0.03125 >, < 0, -173.01, 0 > )
	WaitFrame()
	CrouchTo( recording, < -192.121, -1438.7, 0.03125 >, < 0, -173.01, 0 > )
	WaitFrame()
	CrouchTo( recording, < -208.3, -1438.48, 0.03125 >, < 0, -173.01, 0 > )
	WaitFrame()
	CrouchTo( recording, < -226.788, -1438.07, 0.03125 >, < 0, -173.01, 0 > )
	WaitFrame()
	CrouchTo( recording, < -240.676, -1437.54, 0.03125 >, < 0, -173.01, 0 > )
	WaitFrame()
	CrouchTo( recording, < -254.474, -1436.97, 0.03125 >, < 0, -173.01, 0 > )
	WaitFrame()
	CrouchTo( recording, < -268.57, -1436.37, 0.03125 >, < 0, -173.01, 0 > )
	WaitFrame()
	CrouchTo( recording, < -277.269, -1436, 0.03125 >, < 0, -177.441, 0 > )
	WaitFrame()
	CrouchTo( recording, < -284.928, -1435.75, 0.03125 >, < 0, -179.641, 0 > )
	WaitFrame()
	CrouchTo( recording, < -292.774, -1435.59, 0.03125 >, < 0, 179.561, 0 > )
	WaitFrame()
	CrouchTo( recording, < -301.472, -1435.55, 0.03125 >, < 0, 179.84, 0 > )
	WaitFrame()
	CrouchTo( recording, < -309.343, -1435.56, 0.03125 >, < 0, -179.83, 0 > )
	WaitFrame()
	CrouchTo( recording, < -317.35, -1435.61, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -324.676, -1435.68, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -332.804, -1435.75, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -340.928, -1435.82, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -348.767, -1435.89, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -356.787, -1435.96, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -364.19, -1436.02, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -371.443, -1436.09, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -379.542, -1436.16, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -387.478, -1436.23, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -395.707, -1436.3, 0.03125 >, < 0, -179.5, 0 > )
	WaitFrame()
	CrouchTo( recording, < -407.577, -1435.97, 0.03125 >, < 0, 178.148, 0 > )
	WaitFrame()
	CrouchTo( recording, < -410.901, -1435.42, 0.03125 >, < 0, 176.608, 0 > )
	WaitFrame()
	CrouchTo( recording, < -419.063, -1433.5, 0.03125 >, < 0, 171.278, 0 > )
	WaitFrame()
	CrouchTo( recording, < -426.43, -1430.9, 0.03125 >, < 0, 165.992, 0 > )
	WaitFrame()
	CrouchTo( recording, < -434.098, -1426.85, 0.03125 >, < 0, 157.803, 0 > )
	WaitFrame()
	CrouchTo( recording, < -440.516, -1421.58, 0.03125 >, < 0, 148.973, 0 > )
	WaitFrame()
	RunTo( recording, < -452.233, -1406.8, 0.03125 >, < 0, 137.555, 0 > )
	WaitFrame()
	RunTo( recording, < -460.642, -1389.35, 0.03125 >, < 0, 126.628, 0 > )
	WaitFrame()
	RunTo( recording, < -464.852, -1365.58, 0.03125 >, < 0, 115.217, 0 > )
	WaitFrame()
	RunTo( recording, < -457.698, -1341.76, 0.03125 >, < 0, 92.1967, 0 > )
	WaitFrame()
	JumpTo( recording, < -436.899, -1325.96, 10.969 >, < 0, 68.8599, 0 > )
	WaitFrame()
	JumpTo( recording, < -415.334, -1311.94, 34.547 >, < 0, 70.9841, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -400.031, -1294.25, 57.5297 >, < 0, 62.7493, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -400.031, -1278.49, 69.568 >, < 0, 73.8183, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -400.031, -1252.02, 80.8092 >, < 0, 82.4096, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -400.031, -1220.09, 86.6987 >, < 0, 86.3908, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -400.031, -1185.42, 89.2945 >, < 0, 88.2141, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -400.031, -1145.95, 91.1286 >, < 0, 89.2324, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -400.031, -1111.48, 91.4677 >, < 0, 89.6323, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -400.031, -1078.6, 90.519 >, < 0, 90, 0 > )
	WaitFrame()
	JumpTo( recording, < -404.489, -1040.46, 93.7069 >, < 0, 91.1139, 0 > )
	WaitFrame()
	JumpTo( recording, < -425.998, -993.741, 113.164 >, < 0, 95.6172, 0 > )
	WaitFrame()
	JumpTo( recording, < -446.459, -949.284, 125.537 >, < 0, 98.9229, 0 > )
	WaitFrame()
	JumpTo( recording, < -465.758, -907.348, 131.726 >, < 0, 104.386, 0 > )
	WaitFrame()
	FallTo( recording, < -485.512, -864.424, 132.549 >, < 0, 108.78, 0 > )
	WaitFrame()
	FallTo( recording, < -506.107, -819.675, 127.47 >, < 0, 112.11, 0 > )
	WaitFrame()
	FallTo( recording, < -526.467, -775.434, 116.493 >, < 0, 114.555, 0 > )
	WaitFrame()
	FallTo( recording, < -546.687, -731.5, 99.7298 >, < 0, 117.52, 0 > )
	WaitFrame()
	FallTo( recording, < -572.74, -674.889, 69.5179 >, < 0, 122.12, 0 > )
	WaitFrame()
	SlideTo( recording, < -588.917, -639.739, 103.83 >, < 0, 125.393, 0 > )
	WaitFrame()
	SlideTo( recording, < -609.639, -594.711, 126.31 >, < 0, 128.811, 0 > )
	WaitFrame()
	SlideTo( recording, < -629.719, -551.079, 142.24 >, < 0, 130.694, 0 > )
	WaitFrame()
	SlideTo( recording, < -650.706, -505.478, 152.731 >, < 0, 131.697, 0 > )
	WaitFrame()
	SlideTo( recording, < -672.348, -458.452, 156.96 >, < 0, 131.77, 0 > )
	WaitFrame()
	SlideTo( recording, < -691.545, -416.74, 155.11 >, < 0, 130.957, 0 > )
	WaitFrame()
	SlideTo( recording, < -712.195, -371.862, 147.24 >, < 0, 128.946, 0 > )
	WaitFrame()
	SlideTo( recording, < -732.948, -326.719, 133.179 >, < 0, 126.722, 0 > )
	WaitFrame()
	SlideTo( recording, < -752.174, -284.555, 114.516 >, < 0, 124.074, 0 > )
	WaitFrame()
	SlideTo( recording, < -770.88, -235.888, 87.3113 >, < 0, 120.484, 0 > )
	WaitFrame()
	SlideTo( recording, < -784.839, -189.745, 56.487 >, < 0, 116.658, 0 > )
	WaitFrame()
	SlideTo( recording, < -798.012, -144.648, 21.0761 >, < 0, 111.98, 0 > )
	WaitFrame()
	SlideTo( recording, < -813.39, -92.0048, 0.0412483 >, < 0, 108.387, 0 > )
	WaitFrame()
	SlideTo( recording, < -826.969, -45.5226, 20.4496 >, < 0, 106.346, 0 > )
	WaitFrame()
	JumpTo( recording, < -839.467, -2.73604, 33.7206 >, < 0, 105.168, 0 > )
	WaitFrame()
	JumpTo( recording, < -852.603, 43.343, 42.0906 >, < 0, 104.688, 0 > )
	WaitFrame()
	FallTo( recording, < -867.197, 97.1368, 31.6392 >, < 0, 104.399, 0 > )
	WaitFrame()
	FallTo( recording, < -878.961, 140.499, 27.2746 >, < 0, 104.145, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -879.969, 177.822, 36.7753 >, < 0, 97, 0 > )
	WaitFrame()
	JumpTo( recording, < -860.601, 229.148, 58.157 >, < 0, 92.1416, 0 > )
	WaitFrame()
	JumpTo( recording, < -836.334, 259.337, 70.0127 >, < 0, 87.5803, 0 > )
	WaitFrame()
	JumpTo( recording, < -800.993, 296.155, 80.2268 >, < 0, 81.6113, 0 > )
	WaitFrame()
	JumpTo( recording, < -765.961, 332.643, 84.5189 >, < 0, 77.5243, 0 > )
	WaitFrame()
	JumpTo( recording, < -740.452, 364.594, 97.2625 >, < 0, 76.1024, 0 > )
	WaitFrame()
	JumpTo( recording, < -711.83, 406.891, 122.049 >, < 0, 78.5955, 0 > )
	WaitFrame()
	JumpTo( recording, < -679.441, 454.775, 142.557 >, < 0, 82.7021, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -656.031, 497.141, 156.377 >, < 0, 85.8169, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -656.031, 543.085, 175.34 >, < 0, 88.0972, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -656.031, 577.674, 183.604 >, < 0, 89.0866, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -656.031, 612.45, 189.478 >, < 0, 89.5197, 0 > )
	WaitFrame()
	JumpTo( recording, < -659.056, 648.831, 196.926 >, < 0, 91.4128, 0 > )
	WaitFrame()
	JumpTo( recording, < -692.296, 721.316, 225.175 >, < 0, 97.838, 0 > )
	WaitFrame()
	JumpTo( recording, < -700.593, 739.41, 229.765 >, < 0, 102.872, 0 > )
	WaitFrame()
	JumpTo( recording, < -727.769, 776.923, 236.896 >, < 0, 106.1, 0 > )
	WaitFrame()
	FallTo( recording, < -758.84, 806.535, 238.104 >, < 0, 109.484, 0 > )
	WaitFrame()
	FallTo( recording, < -793.643, 839.676, 233.073 >, < 0, 113.273, 0 > )
	WaitFrame()
	FallTo( recording, < -834.155, 878.217, 218.732 >, < 0, 117.625, 0 > )
	WaitFrame()
	FallTo( recording, < -865.157, 907.683, 201.602 >, < 0, 121.455, 0 > )
	WaitFrame()
	FallTo( recording, < -897.396, 938.314, 178.127 >, < 0, 124.546, 0 > )
	WaitFrame()
	JumpTo( recording, < -936.269, 975.249, 156.604 >, < 0, 130.233, 0 > )
	WaitFrame()
	JumpTo( recording, < -965.161, 1002.33, 179.306 >, < 0, 133.496, 0 > )
	WaitFrame()
	JumpTo( recording, < -996.738, 1031.93, 198.872 >, < 0, 134.583, 0 > )
	WaitFrame()
	JumpTo( recording, < -1033.56, 1066.45, 214.776 >, < 0, 130.877, 0 > )
	WaitFrame()
	JumpTo( recording, < -1067.13, 1097.92, 222.792 >, < 0, 125.093, 0 > )
	WaitFrame()
	FallTo( recording, < -1095.62, 1124.64, 224.744 >, < 0, 120.213, 0 > )
	WaitFrame()
	FallTo( recording, < -1125.79, 1152.95, 221.955 >, < 0, 113.343, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -1135.97, 1186.19, 227.854 >, < 0, 101.884, 0 > )
	WaitFrame()
	JumpTo( recording, < -1131.18, 1226.89, 242.531 >, < 0, 94.5345, 0 > )
	WaitFrame()
	JumpTo( recording, < -1112.54, 1265.12, 260.16 >, < 0, 88.2319, 0 > )
	WaitFrame()
	JumpTo( recording, < -1092.17, 1306.94, 273.755 >, < 0, 81.0143, 0 > )
	WaitFrame()
	JumpTo( recording, < -1069.58, 1353.3, 281.89 >, < 0, 70.4126, 0 > )
	WaitFrame()
	FallTo( recording, < -1050.89, 1391.64, 283.108 >, < 0, 62.9211, 0 > )
	WaitFrame()
	FallTo( recording, < -1030.02, 1434.45, 278.576 >, < 0, 53.5864, 0 > )
	WaitFrame()
	FallTo( recording, < -1010.13, 1475.25, 268.472 >, < 0, 47.5127, 0 > )
	WaitFrame()
	FallTo( recording, < -985.379, 1525.98, 248.041 >, < 0, 39.3589, 0 > )
	WaitFrame()
	RunTo( recording, < -970.686, 1555.56, 257.984 >, < 0, 35.4287, 0 > )
	WaitFrame()
	RunTo( recording, < -950.595, 1562.08, 262.239 >, < 0, 33.9195, 0 > )
	WaitFrame()
	RunTo( recording, < -943.892, 1557.78, 259.436 >, < 0, 32.8349, 0 > )
	WaitFrame()
	JumpTo( recording, < -927.293, 1544.45, 294.883 >, < 0, 33.9186, 0 > )
	WaitFrame()
	JumpTo( recording, < -904.944, 1529.43, 328.07 >, < 0, 36.8096, 0 > )
	WaitFrame()
	JumpTo( recording, < -872.338, 1514.49, 364.974 >, < 0, 40.3138, 0 > )
	WaitFrame()
	JumpTo( recording, < -837.463, 1499.81, 405.122 >, < 0, 45.121, 0 > )
	WaitFrame()
	JumpTo( recording, < -787.202, 1489.26, 449.485 >, < 0, 51.6576, 0 > )
	WaitFrame()
	JumpTo( recording, < -724.74, 1490.4, 497.066 >, < 0, 60.9326, 0 > )
	WaitFrame()
	JumpTo( recording, < -661.644, 1504.84, 541.123 >, < 0, 71.0869, 0 > )
	WaitFrame()
	JumpTo( recording, < -610.145, 1525.75, 575.737 >, < 0, 81.7138, 0 > )
	WaitFrame()
	JumpTo( recording, < -556.366, 1555.88, 611.647 >, < 0, 93.9049, 0 > )
	WaitFrame()
	JumpTo( recording, < -504.709, 1592.65, 646.622 >, < 0, 108.014, 0 > )
	WaitFrame()
	JumpTo( recording, < -456.767, 1633.87, 677.222 >, < 0, 123.488, 0 > )
	WaitFrame()
	JumpTo( recording, < -408.653, 1682.93, 704.393 >, < 0, 141.351, 0 > )
	WaitFrame()
	JumpTo( recording, < -375.301, 1722.41, 720.423 >, < 0, 155.009, 0 > )
	WaitFrame()
	JumpTo( recording, < -341.224, 1769.1, 733.305 >, < 0, 167.27, 0 > )
	WaitFrame()
	JumpTo( recording, < -320.586, 1801.25, 742.603 >, < 0, 174.982, 0 > )
	WaitFrame()
	JumpTo( recording, < -295.165, 1841.54, 756.776 >, < 0, -173.715, 0 > )
	WaitFrame()
	JumpTo( recording, < -274.861, 1873.72, 762.665 >, < 0, 174.629, 0 > )
	WaitFrame()
	FallTo( recording, < -244.033, 1922.57, 762.385 >, < 0, 125.559, 0 > )
	WaitFrame()
	FallTo( recording, < -229.084, 1946.27, 758.245 >, < 0, 96.8775, 0 > )
	WaitFrame()
	SlideTo( recording, < -205.164, 1983.5, 758.861 >, < 0, 70.8439, 0 > )
	WaitFrame()
	SlideTo( recording, < -180.617, 2014.69, 742.475 >, < 0, 60.3335, 0 > )
	WaitFrame()
	SlideTo( recording, < -152.885, 2043.85, 720.38 >, < 0, 54.1174, 0 > )
	WaitFrame()
	SlideTo( recording, < -122.656, 2075, 690.379 >, < 0, 50.9386, 0 > )
	WaitFrame()
	SlideTo( recording, < -94.2863, 2104.24, 656.395 >, < 0, 48.8249, 0 > )
	WaitFrame()
	SlideTo( recording, < -60.6286, 2138.92, 608.758 >, < 0, 47.7913, 0 > )
	WaitFrame()
	SlideTo( recording, < -32.7427, 2167.66, 576.041 >, < 0, 47.6123, 0 > )
	WaitFrame()
	SlideTo( recording, < -6.87498, 2194.32, 576.041 >, < 0, 47.8383, 0 > )
	WaitFrame()
	SlideTo( recording, < 11.4897, 2213.07, 593.499 >, < 0, 47.8383, 0 > )
	WaitFrame()
	SlideTo( recording, < 27.009, 2228.21, 589.652 >, < 0, 47.8383, 0 > )
	WaitFrame()
	SlideTo( recording, < 45.0053, 2245.76, 577.175 >, < 0, 44.47, 0 > )
	WaitFrame()
	RunTo( recording, < 55.7334, 2254.34, 576.031 >, < 0, 34.1315, 0 > )
	WaitFrame()
	RunTo( recording, < 67.954, 2257.97, 576.031 >, < 0, 26.1878, 0 > )
	WaitFrame()
	RunTo( recording, < 90.5791, 2261.17, 576.031 >, < 0, 16.4879, 0 > )
	WaitFrame()
	RunTo( recording, < 114.872, 2258.69, 576.031 >, < 0, 4.90337, 0 > )
	WaitFrame()
	RunTo( recording, < 138.133, 2250.81, 576.031 >, < 0, -6.917, 0 > )
	WaitFrame()
	RunTo( recording, < 166.66, 2234.81, 576.031 >, < 0, -19.5897, 0 > )
	WaitFrame()
	RunTo( recording, < 184.304, 2222.17, 576.031 >, < 0, -27.2406, 0 > )
	WaitFrame()
	RunTo( recording, < 205.038, 2206.71, 576.031 >, < 0, -32.2167, 0 > )
	WaitFrame()
	RunTo( recording, < 223.095, 2193.39, 576.031 >, < 0, -34.1813, 0 > )
	WaitFrame()
	RunTo( recording, < 243.394, 2179.29, 576.031 >, < 0, -34.3345, 0 > )
	WaitFrame()
	RunTo( recording, < 266.667, 2164.46, 576.031 >, < 0, -33.4549, 0 > )
	WaitFrame()
	RunTo( recording, < 292.625, 2148.01, 576.031 >, < 0, -32.7426, 0 > )
	WaitFrame()
	RunTo( recording, < 314.05, 2134.13, 576.031 >, < 0, -32.9201, 0 > )
	WaitFrame()
	RunTo( recording, < 333.966, 2119.92, 576.031 >, < 0, -34.1939, 0 > )
	WaitFrame()
	RunTo( recording, < 355.608, 2104.46, 576.031 >, < 0, -34.9016, 0 > )
	WaitFrame()
	RunTo( recording, < 376.572, 2089.43, 576.031 >, < 0, -35.3132, 0 > )
	WaitFrame()
	RunTo( recording, < 399.229, 2073.15, 576.031 >, < 0, -35.6489, 0 > )
	WaitFrame()
	RunTo( recording, < 416.341, 2060.36, 576.031 >, < 0, -35.6142, 0 > )
	WaitFrame()
	RunTo( recording, < 430.609, 2037.76, 572.463 >, < 0, -35.2968, 0 > )
	WaitFrame()
	RunTo( recording, < 430.048, 2012.46, 555.964 >, < 0, -34.6175, 0 > )
	WaitFrame()
	JumpTo( recording, < 425.885, 1991.38, 546.927 >, < 0, -33.7061, 0 > )
	WaitFrame()
	JumpTo( recording, < 421.876, 1962.96, 563.522 >, < 0, -32.3356, 0 > )
	WaitFrame()
	JumpTo( recording, < 421.695, 1929.7, 592.871 >, < 0, -30.7103, 0 > )
	WaitFrame()
	JumpTo( recording, < 426.146, 1884.9, 624.211 >, < 0, -28.7913, 0 > )
	WaitFrame()
	JumpTo( recording, < 436.554, 1834.81, 653.383 >, < 0, -26.1985, 0 > )
	WaitFrame()
	JumpTo( recording, < 453.565, 1785.08, 679.228 >, < 0, -23.6539, 0 > )
	WaitFrame()
	JumpTo( recording, < 484.997, 1718.91, 709.411 >, < 0, -19.8625, 0 > )
	WaitFrame()
	JumpTo( recording, < 513.563, 1670.91, 728.636 >, < 0, -17.1418, 0 > )
	WaitFrame()
	JumpTo( recording, < 559.683, 1605.92, 751.621 >, < 0, -13.0361, 0 > )
	WaitFrame()
	JumpTo( recording, < 616.655, 1534.91, 772.738 >, < 0, -7.21927, 0 > )
	WaitFrame()
	JumpTo( recording, < 677.665, 1461.41, 789.264 >, < 0, -0.173029, 0 > )
	WaitFrame()
	JumpTo( recording, < 733.747, 1395.84, 799.837 >, < 0, 6.96123, 0 > )
	WaitFrame()
	JumpTo( recording, < 782.785, 1339.46, 805.924 >, < 0, 14.4103, 0 > )
	WaitFrame()
	FallTo( recording, < 847.699, 1261.73, 808.273 >, < 0, 29.3496, 0 > )
	WaitFrame()
	FallTo( recording, < 874.251, 1223.52, 804.298 >, < 0, 40.8134, 0 > )
	WaitFrame()
	FallTo( recording, < 899.1, 1182.14, 796.246 >, < 0, 28.0662, 0 > )
	WaitFrame()
	FallTo( recording, < 926.843, 1126.32, 779.905 >, < 0, -13.6849, 0 > )
	WaitFrame()
	SlideTo( recording, < 953.858, 1054.85, 763.369 >, < 0, -43.6995, 0 > )
	WaitFrame()
	SlideTo( recording, < 964.596, 1017.75, 744.994 >, < 0, -54.4245, 0 > )
	WaitFrame()
	SlideTo( recording, < 976.128, 965.578, 715.555 >, < 0, -63.0674, 0 > )
	WaitFrame()
	SlideTo( recording, < 987.477, 901.431, 673.371 >, < 0, -69.0279, 0 > )
	WaitFrame()
	SlideTo( recording, < 999.121, 833.937, 621.432 >, < 0, -72.3903, 0 > )
	WaitFrame()
	SlideTo( recording, < 1009.91, 771.41, 566.36 >, < 0, -73.6621, 0 > )
	WaitFrame()
	SlideTo( recording, < 1019.98, 713.024, 508.895 >, < 0, -74.2579, 0 > )
	WaitFrame()
	SlideTo( recording, < 1030.35, 652.88, 443.599 >, < 0, -74.8668, 0 > )
	WaitFrame()
	SlideTo( recording, < 1040.12, 596.264, 376.479 >, < 0, -76.0835, 0 > )
	WaitFrame()
	SlideTo( recording, < 1050.73, 534.747, 404.408 >, < 0, -76.5717, 0 > )
	WaitFrame()
	JumpTo( recording, < 1062.26, 467.948, 427.401 >, < 0, -76.4617, 0 > )
	WaitFrame()
	JumpTo( recording, < 1075.23, 416.384, 440.397 >, < 0, -76.3517, 0 > )
	WaitFrame()
	JumpTo( recording, < 1100.21, 370.266, 436.124 >, < 0, -76.2417, 0 > )
	WaitFrame()
	FallTo( recording, < 1127.29, 320.286, 438.97 >, < 0, -76.3889, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 1135.97, 273.261, 451.539 >, < 0, -82.6594, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 1135.97, 236.745, 463.052 >, < 0, -86.3568, 0 > )
	WaitFrame()
	JumpTo( recording, < 1129.26, 200.101, 474.837 >, < 0, -89.9884, 0 > )
	WaitFrame()
	JumpTo( recording, < 1106.89, 149.688, 494.543 >, < 0, -94.1173, 0 > )
	WaitFrame()
	JumpTo( recording, < 1086.52, 103.796, 506.259 >, < 0, -95.5431, 0 > )
	WaitFrame()
	JumpTo( recording, < 1061.89, 48.2485, 512.511 >, < 0, -95.1174, 0 > )
	WaitFrame()
	FallTo( recording, < 1047.43, 15.6444, 512.138 >, < 0, -94.5984, 0 > )
	WaitFrame()
	FallTo( recording, < 1028.15, -27.8632, 506.985 >, < 0, -93.7023, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < 1008.03, -74.4181, 495.58 >, < 0, -92.9433, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < 1008.03, -120.258, 504.987 >, < 0, -91.2225, 0 > )
	WaitFrame()
	JumpTo( recording, < 1021.33, -164.033, 520.655 >, < 0, -88.6769, 0 > )
	WaitFrame()
	JumpTo( recording, < 1040.63, -208.926, 536.356 >, < 0, -86.6157, 0 > )
	WaitFrame()
	JumpTo( recording, < 1062.02, -258.709, 547.543 >, < 0, -85.9471, 0 > )
	WaitFrame()
	FallTo( recording, < 1099.34, -345.614, 551.392 >, < 0, -86.5492, 0 > )
	WaitFrame()
	FallTo( recording, < 1104.21, -356.95, 550.426 >, < 0, -87.8039, 0 > )
	WaitFrame()
	FallTo( recording, < 1124.85, -405.039, 542.556 >, < 0, -88.9473, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 1135.97, -464.416, 538.291 >, < 0, -89.8203, 0 > )
	WaitFrame()
	JumpTo( recording, < 1128.56, -489.502, 547.722 >, < 0, -90.9116, 0 > )
	WaitFrame()
	JumpTo( recording, < 1103.29, -549.482, 569.435 >, < 0, -93.2304, 0 > )
	WaitFrame()
	JumpTo( recording, < 1085.23, -592.379, 579.365 >, < 0, -94.4919, 0 > )
	WaitFrame()
	JumpTo( recording, < 1062.28, -646.882, 585.251 >, < 0, -96.0024, 0 > )
	WaitFrame()
	JumpTo( recording, < 1045.77, -693.744, 603.71 >, < 0, -97.155, 0 > )
	WaitFrame()
	JumpTo( recording, < 1025.78, -755.932, 631.589 >, < 0, -99.0542, 0 > )
	WaitFrame()
	JumpTo( recording, < 1014.55, -790.862, 643.159 >, < 0, -100.495, 0 > )
	WaitFrame()
	JumpTo( recording, < 997.495, -843.9, 655.104 >, < 0, -102.061, 0 > )
	WaitFrame()
	JumpTo( recording, < 981.493, -893.674, 660.148 >, < 0, -103.471, 0 > )
	WaitFrame()
	FallTo( recording, < 964.04, -946.684, 658.942 >, < 0, -105.096, 0 > )
	WaitFrame()
	FallTo( recording, < 939.666, -1003.74, 649.633 >, < 0, -108.634, 0 > )
	WaitFrame()
	CrouchTo( recording, < 907.29, -1060.39, 643.366 >, < 0, -111.839, 0 > )
	WaitFrame()
	CrouchTo( recording, < 876.206, -1103.53, 621.281 >, < 0, -119.162, 0 > )
	WaitFrame()
	CrouchTo( recording, < 862.521, -1119.72, 610.774 >, < 0, -124.497, 0 > )
	WaitFrame()
	CrouchTo( recording, < 824.937, -1159.16, 579.336 >, < 0, -128.475, 0 > )
	WaitFrame()
	CrouchTo( recording, < 780.456, -1197.74, 538.407 >, < 0, -131.576, 0 > )
	WaitFrame()
	CrouchTo( recording, < 737.732, -1232.99, 493.272 >, < 0, -132.796, 0 > )
	WaitFrame()
	CrouchTo( recording, < 696.512, -1267, 443.552 >, < 0, -133.657, 0 > )
	WaitFrame()
	CrouchTo( recording, < 658.08, -1298.72, 391.732 >, < 0, -134.296, 0 > )
	WaitFrame()
	CrouchTo( recording, < 614.919, -1334.33, 352.041 >, < 0, -134.743, 0 > )
	WaitFrame()
	CrouchTo( recording, < 579.169, -1363.83, 366.651 >, < 0, -134.388, 0 > )
	WaitFrame()
	CrouchTo( recording, < 536.57, -1398.98, 383.404 >, < 0, -132.07, 0 > )
	WaitFrame()
	JumpTo( recording, < 493.804, -1434.27, 393.061 >, < 0, -126.753, 0 > )
	WaitFrame()
	FallTo( recording, < 460.717, -1470.54, 395.616 >, < 0, -111.513, 0 > )
	WaitFrame()
	FallTo( recording, < 439.137, -1506.79, 393.252 >, < 0, -101.32, 0 > )
	WaitFrame()
	FallTo( recording, < 408.047, -1559.04, 370.037 >, < 0, -87.7549, 0 > )
	WaitFrame()
	FallTo( recording, < 383.284, -1600.69, 355.323 >, < 0, -80.0752, 0 > )
	WaitFrame()
	JumpTo( recording, < 373.097, -1643.62, 381.166 >, < 0, -74.7752, 0 > )
	WaitFrame()
	JumpTo( recording, < 362.099, -1690.01, 402.968 >, < 0, -71.7492, 0 > )
	WaitFrame()
	JumpTo( recording, < 352.676, -1729.8, 416.602 >, < 0, -70.4799, 0 > )
	WaitFrame()
	JumpTo( recording, < 339.762, -1784.39, 427.698 >, < 0, -70.4578, 0 > )
	WaitFrame()
	FallTo( recording, < 329.389, -1828.29, 430.241 >, < 0, -72.9113, 0 > )
	WaitFrame()
	FallTo( recording, < 318.576, -1874.09, 426.836 >, < 0, -77.8073, 0 > )
	WaitFrame()
	FallTo( recording, < 308.183, -1918.13, 417.729 >, < 0, -83.2728, 0 > )
	WaitFrame()
	FallTo( recording, < 297.959, -1961.47, 403.186 >, < 0, -88.0813, 0 > )
	WaitFrame()
	FallTo( recording, < 287.97, -2003.83, 383.627 >, < 0, -92.0193, 0 > )
	WaitFrame()
	FallTo( recording, < 277.339, -2048.92, 357.007 >, < 0, -95.1241, 0 > )
	WaitFrame()
	FallTo( recording, < 264.825, -2102, 318.003 >, < 0, -97.8915, 0 > )
	WaitFrame()
	FallTo( recording, < 255.064, -2143.41, 281.827 >, < 0, -99.6908, 0 > )
	WaitFrame()
	FallTo( recording, < 244.964, -2186.26, 239.089 >, < 0, -101.057, 0 > )
	WaitFrame()
	FallTo( recording, < 234.166, -2232.07, 187.438 >, < 0, -101.928, 0 > )
	WaitFrame()
	FallTo( recording, < 222.09, -2283.3, 122.389 >, < 0, -102.086, 0 > )
	WaitFrame()
	RunTo( recording, < 213.208, -2321.26, 110.409 >, < 0, -102.119, 0 > )
	WaitFrame()
	RunTo( recording, < 208.043, -2346.42, 126.822 >, < 0, -101.644, 0 > )
	WaitFrame()
	JumpTo( recording, < 204.174, -2369.91, 148.799 >, < 0, -100.533, 0 > )
	WaitFrame()
	JumpTo( recording, < 199.94, -2395.67, 171.539 >, < 0, -99.6796, 0 > )
	WaitFrame()
	JumpTo( recording, < 195.529, -2423.7, 199.969 >, < 0, -99.0107, 0 > )
	WaitFrame()
	JumpTo( recording, < 192.103, -2445.63, 218.553 >, < 0, -98.5412, 0 > )
	WaitFrame()
	JumpTo( recording, < 188.147, -2470.96, 234.571 >, < 0, -97.6332, 0 > )
	WaitFrame()
	JumpTo( recording, < 184.194, -2496.28, 244.762 >, < 0, -96.8719, 0 > )
	WaitFrame()
	JumpTo( recording, < 179.741, -2524.8, 249.278 >, < 0, -96.4906, 0 > )
	WaitFrame()
	RunTo( recording, < 176.375, -2546.23, 257.13 >, < 0, -97.4886, 0 > )
	WaitFrame()
	RunTo( recording, < 171.824, -2568.11, 271.396 >, < 0, -99.7565, 0 > )
	WaitFrame()
	RunTo( recording, < 166.713, -2589.52, 285.366 >, < 0, -101.661, 0 > )
	WaitFrame()
	RunTo( recording, < 160.048, -2612.93, 300.62 >, < 0, -104.123, 0 > )
	WaitFrame()
	RunTo( recording, < 153.278, -2632.66, 313.487 >, < 0, -106.468, 0 > )
	WaitFrame()
	RunTo( recording, < 145.443, -2653.19, 326.88 >, < 0, -108.955, 0 > )
	WaitFrame()
	RunTo( recording, < 136.413, -2675.25, 341.267 >, < 0, -110.687, 0 > )
	WaitFrame()
	RunTo( recording, < 128.608, -2694.06, 353.537 >, < 0, -111.554, 0 > )
	WaitFrame()
	RunTo( recording, < 118.785, -2717.8, 369.008 >, < 0, -112.071, 0 > )
	WaitFrame()
	RunTo( recording, < 111.87, -2735.45, 380.524 >, < 0, -111.886, 0 > )
	WaitFrame()
	RunTo( recording, < 107.071, -2749.04, 389.388 >, < 0, -98.7421, 0 > )
	WaitFrame()
	RunTo( recording, < 106.199, -2751.5, 390.988 >, < 0, -68.3649, 0 > )
	WaitFrame()
	RunTo( recording, < 106.199, -2751.5, 390.988 >, < 0, -39.7191, 0 > )
	WaitFrame()
	RunTo( recording, < 106.199, -2751.5, 390.988 >, < 0, -29.5477, 0 > )
	WaitFrame()
	RunTo( recording, < 106.199, -2751.5, 390.988 >, < 0, -3.39823, 0 > )
	WaitFrame()
	RunTo( recording, < 106.199, -2751.5, 390.988 >, < 0, 18.534, 0 > )
	WaitFrame()
	RunTo( recording, < 106.199, -2751.5, 390.988 >, < 0, 28.0385, 0 > )
	WaitFrame()
	RunTo( recording, < 106.199, -2751.5, 390.988 >, < 0, 1.63873, 0 > )
	WaitFrame()
	RunTo( recording, < 106.215, -2759.51, 396.213 >, < 0, -29.5579, 0 > )
	WaitFrame()
	RunTo( recording, < 104.082, -2777.16, 407.725 >, < 0, -63.3166, 0 > )
	WaitFrame()
	RunTo( recording, < 100.828, -2797.08, 420.724 >, < 0, -86.6436, 0 > )
	WaitFrame()
	JumpTo( recording, < 95.3617, -2829.55, 449.848 >, < 0, -93.3338, 0 > )
	WaitFrame()
	JumpTo( recording, < 92.4688, -2846.74, 465.215 >, < 0, -95.3892, 0 > )
	WaitFrame()
	JumpTo( recording, < 86.8162, -2880.31, 487.454 >, < 0, -98.0495, 0 > )
	WaitFrame()
	JumpTo( recording, < 83.5152, -2899.92, 495.681 >, < 0, -99.144, 0 > )
	WaitFrame()
	JumpTo( recording, < 79.472, -2922.65, 519.919 >, < 0, -99.862, 0 > )
	WaitFrame()
	JumpTo( recording, < 74.6739, -2949.61, 542.543 >, < 0, -100.789, 0 > )
	WaitFrame()
	JumpTo( recording, < 68.9287, -2981.9, 560.892 >, < 0, -99.7603, 0 > )
	WaitFrame()
	JumpTo( recording, < 64.9246, -3004.4, 568.055 >, < 0, -98.293, 0 > )
	WaitFrame()
	RunTo( recording, < 60.0366, -3031.77, 573.774 >, < 0, -97.1999, 0 > )
	WaitFrame()
	RunTo( recording, < 53.6293, -3066.69, 576.031 >, < 0, -96.7039, 0 > )
	WaitFrame()
	RunTo( recording, < 47.1955, -3101.76, 576.031 >, < 0, -96.4411, 0 > )
	WaitFrame()
	RunTo( recording, < 40.8986, -3136.08, 576.031 >, < 0, -96.2561, 0 > )
	WaitFrame()
	CrouchTo( recording, < 35.3167, -3166.5, 576.031 >, < 0, -96.2561, 0 > )
	WaitFrame()
	CrouchTo( recording, < 29.3808, -3198.85, 576.031 >, < 0, -96.2561, 0 > )
	WaitFrame()
	CrouchTo( recording, < 24.1546, -3227.34, 576.031 >, < 0, -96.2561, 0 > )
	WaitFrame()
	CrouchTo( recording, < 19.5601, -3252.38, 576.031 >, < 0, -96.2561, 0 > )
	WaitFrame()
	CrouchTo( recording, < 14.854, -3278.03, 576.031 >, < 0, -96.2561, 0 > )
	WaitFrame()
	CrouchTo( recording, < 9.78943, -3305.63, 576.031 >, < 0, -96.2561, 0 > )
	WaitFrame()
	RunTo( recording, < 6.14914, -3325.47, 576.031 >, < 0, -112.531, 0 > )
	WaitFrame()
	RunTo( recording, < 1.20285, -3330.67, 576.031 >, < 0, -149.842, 0 > )
	WaitFrame()
	RunTo( recording, < -14.5129, -3319.46, 576.031 >, < 0, 174.006, 0 > )
	WaitFrame()
	RunTo( recording, < -28.0865, -3309.8, 576.031 >, < 0, 159.956, 0 > )
	WaitFrame()
	RunTo( recording, < -41.5481, -3299.94, 576.031 >, < 0, 151.764, 0 > )
	WaitFrame()
	RunTo( recording, < -54.7599, -3290.21, 576.031 >, < 0, 147.831, 0 > )
	WaitFrame()
	RunTo( recording, < -63.6634, -3283.65, 576.031 >, < 0, 145.691, 0 > )
	WaitFrame()
	RunTo( recording, < -63.9814, -3283.42, 576.031 >, < 0, 144.628, 0 > )
	WaitFrame()
	print( "recoding ended naturally" )
}

void function PlayRecoding_recording_wallrun()
{
	print( "starting pre-recorded movement" )

	Recording recording = CreateRecording( < 49.0035, -1633.9, 0.03125 >, < 0, 75.2426, 0 > )

	OnThreadEnd(
		function() : ( recording )
		{
			if ( IsValid( recording.mover ) )
				recording.mover.Destroy()
			if ( IsValid( recording.pilot ) )
				recording.pilot.Destroy()
		}
	)

	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 361.314, 1051.97, 0.03125 >, < 0, -172.85, 0 > )
	WaitFrame()
	RunTo( recording, < 355.142, 1051.23, 0.03125 >, < 0, -173.105, 0 > )
	WaitFrame()
	RunTo( recording, < 333.037, 1048.59, 0.03125 >, < 0, -173.18, 0 > )
	WaitFrame()
	RunTo( recording, < 305.617, 1044.2, 0.03125 >, < 0, -171.92, 0 > )
	WaitFrame()
	RunTo( recording, < 280.396, 1038.56, 0.03125 >, < 0, -169.465, 0 > )
	WaitFrame()
	RunTo( recording, < 253.533, 1032.05, 0.03125 >, < 0, -167.796, 0 > )
	WaitFrame()
	RunTo( recording, < 232.361, 1025.32, 0.03125 >, < 0, -165.087, 0 > )
	WaitFrame()
	RunTo( recording, < 202.517, 1013.01, 0.03125 >, < 0, -160.667, 0 > )
	WaitFrame()
	RunTo( recording, < 166.75, 997.356, 0.03125 >, < 0, -158.23, 0 > )
	WaitFrame()
	CrouchTo( recording, < 132.546, 981.824, 0.03125 >, < 0, -157.026, 0 > )
	WaitFrame()
	CrouchTo( recording, < 99.2588, 966.378, 0.03125 >, < 0, -156.44, 0 > )
	WaitFrame()
	CrouchTo( recording, < 74.6605, 954.893, 0.03125 >, < 0, -156.108, 0 > )
	WaitFrame()
	CrouchTo( recording, < 45.7438, 941.367, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < 13.606, 926.348, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -6.67671, 916.84, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -30.7973, 905.54, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -54.1959, 894.598, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -75.2722, 884.734, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -96.4314, 874.815, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -116.382, 865.283, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -134.04, 856.646, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -151.316, 848.074, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -166.982, 840.238, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -181.855, 832.755, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -194.847, 826.185, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -207.208, 819.588, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -219.896, 812.194, 0.03125 >, < 0, -155.91, 0 > )
	WaitFrame()
	CrouchTo( recording, < -228.015, 806.795, 0.03125 >, < 0, -151.376, 0 > )
	WaitFrame()
	CrouchTo( recording, < -235.526, 800.642, 0.03125 >, < 0, -145.073, 0 > )
	WaitFrame()
	CrouchTo( recording, < -239.69, 797.011, 0.03125 >, < 0, -142.593, 0 > )
	WaitFrame()
	CrouchTo( recording, < -245.46, 791.58, 0.03125 >, < 0, -139.785, 0 > )
	WaitFrame()
	CrouchTo( recording, < -251.581, 785.01, 0.03125 >, < 0, -135.663, 0 > )
	WaitFrame()
	CrouchTo( recording, < -256.804, 778.404, 0.03125 >, < 0, -131.511, 0 > )
	WaitFrame()
	CrouchTo( recording, < -260.986, 772.123, 0.03125 >, < 0, -127.756, 0 > )
	WaitFrame()
	CrouchTo( recording, < -264.624, 765.367, 0.03125 >, < 0, -122.887, 0 > )
	WaitFrame()
	CrouchTo( recording, < -267.824, 758.143, 0.03125 >, < 0, -118.018, 0 > )
	WaitFrame()
	CrouchTo( recording, < -270.98, 750.254, 0.03125 >, < 0, -114.862, 0 > )
	WaitFrame()
	CrouchTo( recording, < -273.97, 741.856, 0.03125 >, < 0, -111.886, 0 > )
	WaitFrame()
	CrouchTo( recording, < -276.375, 734.349, 0.03125 >, < 0, -109.764, 0 > )
	WaitFrame()
	CrouchTo( recording, < -278.644, 726.939, 0.03125 >, < 0, -108.357, 0 > )
	WaitFrame()
	CrouchTo( recording, < -280.752, 720.026, 0.03125 >, < 0, -107.716, 0 > )
	WaitFrame()
	CrouchTo( recording, < -283.427, 711.152, 0.03125 >, < 0, -107.214, 0 > )
	WaitFrame()
	CrouchTo( recording, < -285.126, 704.595, 0.03125 >, < 0, -105.86, 0 > )
	WaitFrame()
	CrouchTo( recording, < -286.913, 696.204, 0.03125 >, < 0, -103.737, 0 > )
	WaitFrame()
	CrouchTo( recording, < -288.11, 689.025, 0.03125 >, < 0, -101.576, 0 > )
	WaitFrame()
	CrouchTo( recording, < -288.62, 680.909, 0.03125 >, < 0, -97.4599, 0 > )
	WaitFrame()
	CrouchTo( recording, < -287.882, 671.89, 0.03125 >, < 0, -90.1362, 0 > )
	WaitFrame()
	CrouchTo( recording, < -286.374, 664.286, 0.03125 >, < 0, -84.6332, 0 > )
	WaitFrame()
	CrouchTo( recording, < -284.203, 656.582, 0.03125 >, < 0, -79.0944, 0 > )
	WaitFrame()
	CrouchTo( recording, < -281.309, 649.668, 0.03125 >, < 0, -73.041, 0 > )
	WaitFrame()
	CrouchTo( recording, < -277.347, 642.973, 0.03125 >, < 0, -66.1789, 0 > )
	WaitFrame()
	CrouchTo( recording, < -272.371, 637.327, 0.03125 >, < 0, -57.9122, 0 > )
	WaitFrame()
	CrouchTo( recording, < -265.872, 631.656, 0.03125 >, < 0, -50.6595, 0 > )
	WaitFrame()
	CrouchTo( recording, < -260.733, 628.712, 0.03125 >, < 0, -38.3337, 0 > )
	WaitFrame()
	CrouchTo( recording, < -253.06, 625.154, 0.03125 >, < 0, -30.6287, 0 > )
	WaitFrame()
	CrouchTo( recording, < -245.689, 621.777, 0.03125 >, < 0, -27.4182, 0 > )
	WaitFrame()
	CrouchTo( recording, < -237.987, 618.256, 0.03125 >, < 0, -26.1276, 0 > )
	WaitFrame()
	CrouchTo( recording, < -230.938, 615.033, 0.03125 >, < 0, -25.25, 0 > )
	WaitFrame()
	CrouchTo( recording, < -223.053, 611.428, 0.03125 >, < 0, -24.82, 0 > )
	WaitFrame()
	CrouchTo( recording, < -214.786, 607.648, 0.03125 >, < 0, -24.5695, 0 > )
	WaitFrame()
	CrouchTo( recording, < -208.008, 604.617, 0.03125 >, < 0, -24.1896, 0 > )
	WaitFrame()
	CrouchTo( recording, < -200.625, 601.446, 0.03125 >, < 0, -23.7184, 0 > )
	WaitFrame()
	CrouchTo( recording, < -193.811, 598.627, 0.03125 >, < 0, -23.0491, 0 > )
	WaitFrame()
	CrouchTo( recording, < -186.259, 595.519, 0.03125 >, < 0, -22.6564, 0 > )
	WaitFrame()
	CrouchTo( recording, < -177.835, 592.041, 0.03125 >, < 0, -22.4795, 0 > )
	WaitFrame()
	CrouchTo( recording, < -170.818, 589.025, 0.03125 >, < 0, -23.0932, 0 > )
	WaitFrame()
	CrouchTo( recording, < -164.506, 585.858, 0.03125 >, < 0, -24.7954, 0 > )
	WaitFrame()
	CrouchTo( recording, < -157.746, 582.035, 0.03125 >, < 0, -27.1716, 0 > )
	WaitFrame()
	CrouchTo( recording, < -150.588, 577.569, 0.03125 >, < 0, -30.0087, 0 > )
	WaitFrame()
	CrouchTo( recording, < -143.962, 573.021, 0.03125 >, < 0, -32.4338, 0 > )
	WaitFrame()
	CrouchTo( recording, < -136.922, 567.571, 0.03125 >, < 0, -35.4428, 0 > )
	WaitFrame()
	CrouchTo( recording, < -131.412, 562.753, 0.03125 >, < 0, -38.1557, 0 > )
	WaitFrame()
	CrouchTo( recording, < -125.376, 557.081, 0.03125 >, < 0, -40.4667, 0 > )
	WaitFrame()
	CrouchTo( recording, < -119.736, 551.335, 0.03125 >, < 0, -43.3872, 0 > )
	WaitFrame()
	CrouchTo( recording, < -113.456, 544.519, 0.03125 >, < 0, -45.6857, 0 > )
	WaitFrame()
	CrouchTo( recording, < -108.788, 538.714, 0.03125 >, < 0, -48.1437, 0 > )
	WaitFrame()
	CrouchTo( recording, < -104.535, 532.542, 0.03125 >, < 0, -51.9254, 0 > )
	WaitFrame()
	CrouchTo( recording, < -100.746, 526.226, 0.03125 >, < 0, -55.4444, 0 > )
	WaitFrame()
	CrouchTo( recording, < -97.1289, 519.379, 0.03125 >, < 0, -58.9557, 0 > )
	WaitFrame()
	CrouchTo( recording, < -93.0473, 510.923, 0.03125 >, < 0, -61.9958, 0 > )
	WaitFrame()
	CrouchTo( recording, < -90.1752, 504.305, 0.03125 >, < 0, -64.2681, 0 > )
	WaitFrame()
	CrouchTo( recording, < -87.889, 497.302, 0.03125 >, < 0, -68.262, 0 > )
	WaitFrame()
	CrouchTo( recording, < -85.3686, 488.361, 0.03125 >, < 0, -71.587, 0 > )
	WaitFrame()
	CrouchTo( recording, < -83.4899, 480.945, 0.03125 >, < 0, -73.6128, 0 > )
	WaitFrame()
	CrouchTo( recording, < -82.089, 473.583, 0.03125 >, < 0, -76.6016, 0 > )
	WaitFrame()
	CrouchTo( recording, < -81.0098, 466.033, 0.03125 >, < 0, -79.2451, 0 > )
	WaitFrame()
	CrouchTo( recording, < -80.1064, 457.677, 0.03125 >, < 0, -81.55, 0 > )
	WaitFrame()
	CrouchTo( recording, < -79.5631, 449.003, 0.03125 >, < 0, -84.3383, 0 > )
	WaitFrame()
	CrouchTo( recording, < -80.0227, 440.38, 0.03125 >, < 0, -89.3184, 0 > )
	WaitFrame()
	CrouchTo( recording, < -81.0063, 433.842, 0.03125 >, < 0, -93.3483, 0 > )
	WaitFrame()
	CrouchTo( recording, < -82.6017, 426.125, 0.03125 >, < 0, -97.8643, 0 > )
	WaitFrame()
	CrouchTo( recording, < -84.4993, 418.923, 0.03125 >, < 0, -101.304, 0 > )
	WaitFrame()
	CrouchTo( recording, < -87.171, 410.789, 0.03125 >, < 0, -105.139, 0 > )
	WaitFrame()
	CrouchTo( recording, < -89.9638, 404.35, 0.03125 >, < 0, -109.1, 0 > )
	WaitFrame()
	CrouchTo( recording, < -93.9241, 396.919, 0.03125 >, < 0, -113.862, 0 > )
	WaitFrame()
	CrouchTo( recording, < -98.1363, 390.094, 0.03125 >, < 0, -118.259, 0 > )
	WaitFrame()
	CrouchTo( recording, < -103.914, 381.895, 0.03125 >, < 0, -122.409, 0 > )
	WaitFrame()
	CrouchTo( recording, < -108.301, 376.32, 0.03125 >, < 0, -125.191, 0 > )
	WaitFrame()
	CrouchTo( recording, < -113.334, 370.318, 0.03125 >, < 0, -127.76, 0 > )
	WaitFrame()
	CrouchTo( recording, < -118.291, 364.96, 0.03125 >, < 0, -130.29, 0 > )
	WaitFrame()
	CrouchTo( recording, < -123.953, 359.544, 0.03125 >, < 0, -133.332, 0 > )
	WaitFrame()
	CrouchTo( recording, < -130.013, 354.119, 0.03125 >, < 0, -135.676, 0 > )
	WaitFrame()
	CrouchTo( recording, < -137.073, 348.336, 0.03125 >, < 0, -138.59, 0 > )
	WaitFrame()
	CrouchTo( recording, < -143.19, 343.625, 0.03125 >, < 0, -140.488, 0 > )
	WaitFrame()
	CrouchTo( recording, < -148.76, 339.587, 0.03125 >, < 0, -141.874, 0 > )
	WaitFrame()
	CrouchTo( recording, < -155.618, 335.084, 0.03125 >, < 0, -144.565, 0 > )
	WaitFrame()
	CrouchTo( recording, < -162.277, 331.369, 0.03125 >, < 0, -147.89, 0 > )
	WaitFrame()
	CrouchTo( recording, < -169.569, 327.744, 0.03125 >, < 0, -150.733, 0 > )
	WaitFrame()
	RunTo( recording, < -183.829, 321.629, 0.03125 >, < 0, -153.835, 0 > )
	WaitFrame()
	RunTo( recording, < -186.862, 320.417, 0.03125 >, < 0, -157.669, 0 > )
	WaitFrame()
	RunTo( recording, < -207.601, 312.31, 0.03125 >, < 0, -158.167, 0 > )
	WaitFrame()
	RunTo( recording, < -239.333, 299.912, 0.03125 >, < 0, -158.66, 0 > )
	WaitFrame()
	RunTo( recording, < -266.24, 289.311, 0.03125 >, < 0, -158.637, 0 > )
	WaitFrame()
	JumpTo( recording, < -293.608, 280.047, 28.7817 >, < 0, -150.993, 0 > )
	WaitFrame()
	JumpTo( recording, < -317.32, 278.073, 46.6961 >, < 0, -134.108, 0 > )
	WaitFrame()
	JumpTo( recording, < -341.035, 276.098, 59.5839 >, < 0, -101.691, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -367.969, 273.844, 68.1533 >, < 0, -63.7234, 0 > )
	WaitFrame()
	WallRunTo( recording, "left", < -367.969, 279.068, 90.3507 >, < 0, -27.837, 0 > )
	WaitFrame()
	WallRunTo( recording, "front", < -367.969, 291.242, 99.3158 >, < 0, 5.67737, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -367.969, 315.142, 106.157 >, < 0, 45.5024, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -367.969, 343.517, 108.217 >, < 0, 68.0622, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -367.969, 382.118, 105.96 >, < 0, 80.5505, 0 > )
	WaitFrame()
	JumpTo( recording, < -359.331, 415.206, 113.088 >, < 0, 68.4208, 0 > )
	WaitFrame()
	JumpTo( recording, < -341.024, 452.275, 129.065 >, < 0, 39.8233, 0 > )
	WaitFrame()
	JumpTo( recording, < -318.22, 498.453, 142.271 >, < 0, 27.7199, 0 > )
	WaitFrame()
	JumpTo( recording, < -293.491, 524.526, 147.642 >, < 0, 22.7469, 0 > )
	WaitFrame()
	FallTo( recording, < -263.924, 543.109, 147.522 >, < 0, 17.6081, 0 > )
	WaitFrame()
	FallTo( recording, < -234.347, 556.488, 141.627 >, < 0, 12.2367, 0 > )
	WaitFrame()
	FallTo( recording, < -206.983, 564.533, 131.196 >, < 0, 7.13774, 0 > )
	WaitFrame()
	FallTo( recording, < -177.079, 568.749, 114.328 >, < 0, 3.29435, 0 > )
	WaitFrame()
	FallTo( recording, < -141.206, 567.597, 86.4715 >, < 0, 1.01112, 0 > )
	WaitFrame()
	JumpTo( recording, < -129.044, 548.976, 112.468 >, < 0, 1.04788, 0 > )
	WaitFrame()
	JumpTo( recording, < -116.262, 529.387, 133.844 >, < 0, 1.98473, 0 > )
	WaitFrame()
	JumpTo( recording, < -101.562, 506.838, 150.889 >, < 0, 2.60829, 0 > )
	WaitFrame()
	JumpTo( recording, < -89.6863, 489.963, 158.492 >, < 0, 2.9905, 0 > )
	WaitFrame()
	JumpTo( recording, < -76.0521, 472.417, 161.369 >, < 0, 3.04023, 0 > )
	WaitFrame()
	FallTo( recording, < -62.266, 454.695, 158.695 >, < 0, 2.44905, 0 > )
	WaitFrame()
	FallTo( recording, < -46.4727, 434.421, 148.754 >, < 0, -3.27179, 0 > )
	WaitFrame()
	FallTo( recording, < -28.8509, 411.831, 129.024 >, < 0, -7.03389, 0 > )
	WaitFrame()
	FallTo( recording, < -19.4336, 399.768, 114.754 >, < 0, -13.6581, 0 > )
	WaitFrame()
	FallTo( recording, < -3.83463, 379.799, 85.4238 >, < 0, -24.4431, 0 > )
	WaitFrame()
	FallTo( recording, < 9.92652, 362.19, 53.6644 >, < 0, -37.9519, 0 > )
	WaitFrame()
	FallTo( recording, < 24.2066, 343.916, 14.8825 >, < 0, -47.2161, 0 > )
	WaitFrame()
	RunTo( recording, < 36.7734, 322.89, 0.0412483 >, < 0, -55.5473, 0 > )
	WaitFrame()
	RunTo( recording, < 47.9687, 293.913, 0.0412483 >, < 0, -65.5796, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, 275.162, 7.78922 >, < 0, -76.2924, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, 249.026, 25.807 >, < 0, -82.5722, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, 218.245, 38.4437 >, < 0, -86.222, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, 185.183, 47.1413 >, < 0, -88.1984, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, 142.472, 51.5922 >, < 0, -89.2678, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, 107.692, 53.6034 >, < 0, -89.6704, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, 62.6812, 54.7372 >, < 0, -89.9317, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, 39.1697, 54.8843 >, < 0, -90, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < 47.9688, -1.90354, 53.1939 >, < 0, -90, 0 > )
	WaitFrame()
	JumpTo( recording, < 28.1106, -45.4106, 72.6566 >, < 0, -94.098, 0 > )
	WaitFrame()
	JumpTo( recording, < 5.46885, -95.0318, 87.9727 >, < 0, -96.5247, 0 > )
	WaitFrame()
	JumpTo( recording, < -16.3231, -142.797, 95.7954 >, < 0, -99.36, 0 > )
	WaitFrame()
	FallTo( recording, < -37.9625, -190.227, 96.8486 >, < 0, -103.915, 0 > )
	WaitFrame()
	FallTo( recording, < -56.9069, -224.563, 93.2207 >, < 0, -107.853, 0 > )
	WaitFrame()
	FallTo( recording, < -84.1861, -266.695, 83.0802 >, < 0, -111.803, 0 > )
	WaitFrame()
	FallTo( recording, < -116.583, -311.584, 64.8532 >, < 0, -115.765, 0 > )
	WaitFrame()
	CrouchTo( recording, < -147.081, -347.525, 56.184 >, < 0, -119.924, 0 > )
	WaitFrame()
	CrouchTo( recording, < -181.888, -382.393, 28.6689 >, < 0, -124.109, 0 > )
	WaitFrame()
	CrouchTo( recording, < -216.56, -412.577, 0.0412481 >, < 0, -127.907, 0 > )
	WaitFrame()
	CrouchTo( recording, < -262.57, -448.614, 14.7595 >, < 0, -132.238, 0 > )
	WaitFrame()
	CrouchTo( recording, < -299.405, -472.071, 29.1879 >, < 0, -136.84, 0 > )
	WaitFrame()
	CrouchTo( recording, < -342.568, -494.388, 39.658 >, < 0, -141.517, 0 > )
	WaitFrame()
	CrouchTo( recording, < -391.45, -515.277, 44.573 >, < 0, -145.975, 0 > )
	WaitFrame()
	CrouchTo( recording, < -442.332, -532.981, 42.7518 >, < 0, -150.616, 0 > )
	WaitFrame()
	CrouchTo( recording, < -488.896, -545.511, 35.4479 >, < 0, -153.878, 0 > )
	WaitFrame()
	CrouchTo( recording, < -542.222, -556.099, 20.9295 >, < 0, -158.878, 0 > )
	WaitFrame()
	CrouchTo( recording, < -597.182, -564.777, 0.04125 >, < 0, -161.834, 0 > )
	WaitFrame()
	CrouchTo( recording, < -647.801, -572.052, 0.0412502 >, < 0, -163.232, 0 > )
	WaitFrame()
	CrouchTo( recording, < -687.811, -576.578, 13.3446 >, < 0, -165.39, 0 > )
	WaitFrame()
	CrouchTo( recording, < -739.611, -577.933, 34.8415 >, < 0, -168.646, 0 > )
	WaitFrame()
	CrouchTo( recording, < -792.49, -576.541, 49.8516 >, < 0, -171.979, 0 > )
	WaitFrame()
	CrouchTo( recording, < -842.828, -572.306, 57.7603 >, < 0, -175.103, 0 > )
	WaitFrame()
	CrouchTo( recording, < -890.434, -567.748, 59.5694 >, < 0, -178.335, 0 > )
	WaitFrame()
	CrouchTo( recording, < -940.679, -562.939, 55.5042 >, < 0, 176.047, 0 > )
	WaitFrame()
	CrouchTo( recording, < -989.35, -558.279, 82.0133 >, < 0, 165.128, 0 > )
	WaitFrame()
	JumpTo( recording, < -1036.73, -553.744, 102.288 >, < 0, 149.209, 0 > )
	WaitFrame()
	JumpTo( recording, < -1089.05, -535.077, 119.586 >, < 0, 133.694, 0 > )
	WaitFrame()
	JumpTo( recording, < -1123.47, -517.696, 114.335 >, < 0, 126.017, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -1135.97, -489.658, 131.618 >, < 0, 108.146, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -1135.97, -464.347, 140.094 >, < 0, 99.3716, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -1135.97, -429.422, 142.465 >, < 0, 94.1463, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -1135.97, -395.919, 142.193 >, < 0, 91.9923, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -1135.97, -359.569, 139.821 >, < 0, 90.9452, 0 > )
	WaitFrame()
	WallRunTo( recording, "right", < -1135.97, -328.479, 135.759 >, < 0, 90.508, 0 > )
	WaitFrame()
	JumpTo( recording, < -1118.96, -278.562, 150.661 >, < 0, 87.3455, 0 > )
	WaitFrame()
	JumpTo( recording, < -1103.45, -245.103, 162.608 >, < 0, 85.1605, 0 > )
	WaitFrame()
	JumpTo( recording, < -1072.09, -210.424, 173.58 >, < 0, 82.0226, 0 > )
	WaitFrame()
	JumpTo( recording, < -1041.89, -181.993, 177.658 >, < 0, 79.0951, 0 > )
	WaitFrame()
	FallTo( recording, < -1004.35, -146.688, 175.142 >, < 0, 74.4598, 0 > )
	WaitFrame()
	FallTo( recording, < -975.728, -119.787, 167.582 >, < 0, 70.7024, 0 > )
	WaitFrame()
	RunTo( recording, < -945.945, -91.891, 160.031 >, < 0, 67.265, 0 > )
	WaitFrame()
	RunTo( recording, < -915.475, -63.9321, 160.031 >, < 0, 65.2228, 0 > )
	WaitFrame()
	RunTo( recording, < -885.23, -36.874, 160.031 >, < 0, 64.2017, 0 > )
	WaitFrame()
	JumpTo( recording, < -853.823, -9.48228, 178.038 >, < 0, 62.7283, 0 > )
	WaitFrame()
	SlideTo( recording, < -806.032, 25.2172, 203.346 >, < 0, 51.3305, 0 > )
	WaitFrame()
	SlideTo( recording, < -791.046, 34.7429, 208.184 >, < 0, 44.5735, 0 > )
	WaitFrame()
	SlideTo( recording, < -752.333, 56.2874, 214.825 >, < 0, 40.5951, 0 > )
	WaitFrame()
	SlideTo( recording, < -718.551, 71.9532, 214.565 >, < 0, 37.0973, 0 > )
	WaitFrame()
	SlideTo( recording, < -669.172, 88.5497, 205.591 >, < 0, 31.2816, 0 > )
	WaitFrame()
	SlideTo( recording, < -620.986, 97.6316, 188.389 >, < 0, 25.3614, 0 > )
	WaitFrame()
	SlideTo( recording, < -587.217, 99.8967, 171.81 >, < 0, 19.8686, 0 > )
	WaitFrame()
	SlideTo( recording, < -548.709, 99.4866, 148.41 >, < 0, 13.6926, 0 > )
	WaitFrame()
	SlideTo( recording, < -503.939, 95.839, 115.133 >, < 0, 8.18803, 0 > )
	WaitFrame()
	SlideTo( recording, < -462.07, 90.1806, 78.0147 >, < 0, 4.28723, 0 > )
	WaitFrame()
	SlideTo( recording, < -417.234, 81.2151, 31.6861 >, < 0, -0.404387, 0 > )
	WaitFrame()
	SlideTo( recording, < -350.939, 61.6987, 13.8929 >, < 0, -5.42076, 0 > )
	WaitFrame()
	SlideTo( recording, < -344.428, 59.2524, 16.8789 >, < 0, -11.2776, 0 > )
	WaitFrame()
	SlideTo( recording, < -305.439, 41.9591, 31.7778 >, < 0, -13.5945, 0 > )
	WaitFrame()
	SlideTo( recording, < -263.757, 19.7677, 41.6261 >, < 0, -17.1009, 0 > )
	WaitFrame()
	SlideTo( recording, < -215.447, -9.37242, 44.5009 >, < 0, -21.0485, 0 > )
	WaitFrame()
	SlideTo( recording, < -172.461, -37.6203, 38.8376 >, < 0, -23.2545, 0 > )
	WaitFrame()
	SlideTo( recording, < -133.935, -65.5635, 26.6814 >, < 0, -26.0405, 0 > )
	WaitFrame()
	SlideTo( recording, < -98.6361, -94.2562, 8.98687 >, < 0, -29.0248, 0 > )
	WaitFrame()
	SlideTo( recording, < -63.2673, -125.39, 0.0412502 >, < 0, -31.4187, 0 > )
	WaitFrame()
	SlideTo( recording, < -30.5623, -154.923, 0.0412502 >, < 0, -32.6386, 0 > )
	WaitFrame()
	SlideTo( recording, < 1.22257, -185.197, 24.6573 >, < 0, -33.0734, 0 > )
	WaitFrame()
	SlideTo( recording, < 28.772, -211.49, 40.8167 >, < 0, -22.5853, 0 > )
	WaitFrame()
	SlideTo( recording, < 61.6007, -242.835, 53.7699 >, < 0, 7.17717, 0 > )
	WaitFrame()
	SlideTo( recording, < 95.2059, -274.916, 59.9279 >, < 0, 43.9458, 0 > )
	WaitFrame()
	SlideTo( recording, < 124.133, -302.527, 59.4789 >, < 0, 66.1973, 0 > )
	WaitFrame()
	SlideTo( recording, < 157.208, -334.097, 52.4487 >, < 0, 79.869, 0 > )
	WaitFrame()
	SlideTo( recording, < 186.194, -361.764, 70.7133 >, < 0, 85.0996, 0 > )
	WaitFrame()
	SlideTo( recording, < 221.008, -394.994, 95.8574 >, < 0, 87.8663, 0 > )
	WaitFrame()
	SlideTo( recording, < 246.437, -419.267, 109.355 >, < 0, 89.3218, 0 > )
	WaitFrame()
	print( "recoding ended naturally" )
}

Recording function CreateRecording( vector origin, vector angles, entity ornull model = null  )
{
	Recording recording

	recording.mover = CreateExpensiveScriptMover( origin, angles )
	if ( !IsValid( model ) )
	{
		recording.pilot = CreateElitePilot( 1, origin, angles )
		recording.pilot.SetModel( $"models/humans/heroes/mlt_hero_jack.mdl" )
		DispatchSpawn( recording.pilot )
		recording.pilot.SetModel( $"models/humans/heroes/mlt_hero_jack.mdl" )
		recording.pilot.Freeze()
	}
	else
	{
		expect entity( model )
		model.SetOrigin( origin )
		model.SetAngles( angles )
		recording.pilot = model
	}
	recording.pilot.SetParent( recording.mover )

   return recording
}

void function PlayRecoding_recording_sarah( entity ornull model = null )
{
	print( "starting pre-recorded movement" )

	Recording recording = CreateRecording( < 710, -1600, 416 >, < 0, -161.048, 0 >, model )

	EndSignal( recording.pilot, "OnDeath" )

	OnThreadEnd(
		function() : ( recording )
		{
			recording.pilot.ClearParent()
			recording.pilot.Unfreeze()

			if ( IsValid( recording.mover ) )
				recording.mover.Destroy()
			
			// if ( IsValid( recording.pilot ) )
			// 	recording.pilot.Destroy() // should be cleaned up by the script
		}
	)

	RunTo( recording, < 710, -1600, 416 >, < 0, -161.048, 0 > )
	WaitFrame()
	RunTo( recording, < 710, -1600, 416 >, < 0, -161.048, 0 > )
	WaitFrame()
	RunTo( recording, < 710, -1600, 416 >, < 0, -161.048, 0 > )
	WaitFrame()
	RunTo( recording, < 710, -1600, 416 >, < 0, -161.048, 0 > )
	WaitFrame()
	RunTo( recording, < 710, -1600, 416 >, < 0, -161.048, 0 > )
	WaitFrame()
	RunTo( recording, < 710, -1600, 416 >, < 0, -161.048, 0 > )
	WaitFrame()
	RunTo( recording, < 691.787, -1606.26, 416.031 >, < 0, -161.038, 0 > )
	WaitFrame()
	RunTo( recording, < 676.164, -1611.63, 416.031 >, < 0, -161.038, 0 > )
	WaitFrame()
	RunTo( recording, < 649.595, -1620.75, 416.031 >, < 0, -161.038, 0 > )
	WaitFrame()
	RunTo( recording, < 625.589, -1629, 416.031 >, < 0, -161.038, 0 > )
	WaitFrame()
	RunTo( recording, < 593.899, -1633.91, 416.031 >, < 0, -167.396, 0 > )
	WaitFrame()
	RunTo( recording, < 568.498, -1634.38, 416.031 >, < 0, -173.551, 0 > )
	WaitFrame()
	RunTo( recording, < 547.513, -1632.09, 416.031 >, < 0, 179.939, 0 > )
	WaitFrame()
	RunTo( recording, < 521.297, -1628.34, 416.031 >, < 0, 175.714, 0 > )
	WaitFrame()
	RunTo( recording, < 496.849, -1624.38, 416.031 >, < 0, 173.572, 0 > )
	WaitFrame()
	JumpTo( recording, < 470.648, -1619.88, 422.841 >, < 0, 171.602, 0 > )
	WaitFrame()
	JumpTo( recording, < 438.361, -1614.33, 453.153 >, < 0, 170.811, 0 > )
	WaitFrame()
	JumpTo( recording, < 417.35, -1610.72, 467.759 >, < 0, 170.197, 0 > )
	WaitFrame()
	JumpTo( recording, < 391.639, -1606.3, 480.152 >, < 0, 169.676, 0 > )
	WaitFrame()
	JumpTo( recording, < 367.44, -1602.15, 486.303 >, < 0, 169.482, 0 > )
	WaitFrame()
	FallTo( recording, < 343.968, -1598.11, 487.163 >, < 0, 169.829, 0 > )
	WaitFrame()
	FallTo( recording, < 310.304, -1592.33, 479.618 >, < 0, 171.035, 0 > )
	WaitFrame()
	FallTo( recording, < 286.642, -1594.84, 468.482 >, < 0, 173.343, 0 > )
	WaitFrame()
	CrouchTo( recording, < 262.512, -1600.16, 464.733 >, < 0, 176.502, 0 > )
	WaitFrame()
	CrouchTo( recording, < 234.974, -1609.13, 439.903 >, < 0, -178.701, 0 > )
	WaitFrame()
	CrouchTo( recording, < 211.666, -1618.2, 416.041 >, < 0, -174.702, 0 > )
	WaitFrame()
	CrouchTo( recording, < 171.863, -1633.16, 427.437 >, < 0, -172.623, 0 > )
	WaitFrame()
	CrouchTo( recording, < 144.7, -1642.6, 445.396 >, < 0, -170.849, 0 > )
	WaitFrame()
	CrouchTo( recording, < 98.8944, -1658.54, 468.195 >, < 0, -167.585, 0 > )
	WaitFrame()
	CrouchTo( recording, < 67.4168, -1669.48, 478.415 >, < 0, -164.917, 0 > )
	WaitFrame()
	CrouchTo( recording, < 20.4299, -1682.33, 485.384 >, < 0, -162.909, 0 > )
	WaitFrame()
	CrouchTo( recording, < -17.2022, -1683.76, 484.221 >, < 0, -162.19, 0 > )
	WaitFrame()
	CrouchTo( recording, < -55.3978, -1685.18, 477.28 >, < 0, -162.248, 0 > )
	WaitFrame()
	CrouchTo( recording, < -93.9761, -1686.6, 464.381 >, < 0, -163.56, 0 > )
	WaitFrame()
	CrouchTo( recording, < -133.812, -1688.05, 444.852 >, < 0, -165.625, 0 > )
	WaitFrame()
	CrouchTo( recording, < -177.578, -1688.8, 426.235 >, < 0, -167.997, 0 > )
	WaitFrame()
	CrouchTo( recording, < -210.692, -1688.92, 425.704 >, < 0, -168.902, 0 > )
	WaitFrame()
	CrouchTo( recording, < -240.526, -1684.49, 444.865 >, < 0, -174.142, 0 > )
	WaitFrame()
	CrouchTo( recording, < -265.223, -1679.48, 457.627 >, < 0, -176.05, 0 > )
	WaitFrame()
	SlideTo( recording, < -314.521, -1666.91, 474.695 >, < 0, 177.759, 0 > )
	WaitFrame()
	SlideTo( recording, < -334.022, -1660.97, 478.333 >, < 0, 175.929, 0 > )
	WaitFrame()
	SlideTo( recording, < -378.038, -1646, 479.933 >, < 0, 172.61, 0 > )
	WaitFrame()
	SlideTo( recording, < -409.142, -1634.99, 475.478 >, < 0, 170.869, 0 > )
	WaitFrame()
	SlideTo( recording, < -456.354, -1618.28, 459.86 >, < 0, 168.596, 0 > )
	WaitFrame()
	SlideTo( recording, < -494.24, -1604.87, 439.605 >, < 0, 166.574, 0 > )
	WaitFrame()
	SlideTo( recording, < -532.116, -1591.46, 459.106 >, < 0, 163.895, 0 > )
	WaitFrame()
	SlideTo( recording, < -560.262, -1581.49, 476.893 >, < 0, 161.425, 0 > )
	WaitFrame()
	SlideTo( recording, < -596.387, -1568.71, 494.162 >, < 0, 159.109, 0 > )
	WaitFrame()
	SlideTo( recording, < -635.015, -1555.03, 505.712 >, < 0, 157.222, 0 > )
	WaitFrame()
	SlideTo( recording, < -671.493, -1542.12, 510.057 >, < 0, 156.27, 0 > )
	WaitFrame()
	SlideTo( recording, < -706.455, -1529.74, 508.24 >, < 0, 155.694, 0 > )
	WaitFrame()
	CrouchTo( recording, < -745.893, -1517.53, 499.381 >, < 0, 155.731, 0 > )
	WaitFrame()
	CrouchTo( recording, < -783.61, -1508.49, 484.672 >, < 0, 156.595, 0 > )
	WaitFrame()
	CrouchTo( recording, < -817.92, -1502.39, 466.326 >, < 0, 158.808, 0 > )
	WaitFrame()
	CrouchTo( recording, < -866.814, -1497.6, 432.508 >, < 0, 160.527, 0 > )
	WaitFrame()
	CrouchTo( recording, < -893.328, -1497.26, 410.546 >, < 0, 167.011, 0 > )
	WaitFrame()
	CrouchTo( recording, < -926.992, -1497.95, 408.031 >, < 0, 169.434, 0 > )
	WaitFrame()
	CrouchTo( recording, < -979.167, -1510.17, 438.451 >, < 0, 177.983, 0 > )
	WaitFrame()
	CrouchTo( recording, < -1006.06, -1520.3, 449.939 >, < 0, -174.992, 0 > )
	WaitFrame()
	CrouchTo( recording, < -1043.43, -1534.74, 460.737 >, < 0, -168.245, 0 > )
	WaitFrame()
	CrouchTo( recording, < -1078.71, -1548.37, 465.376 >, < 0, -164.771, 0 > )
	WaitFrame()
	CrouchTo( recording, < -1117.45, -1558.93, 464.379 >, < 0, -162.327, 0 > )
	WaitFrame()
	CrouchTo( recording, < -1157.65, -1565.31, 457.181 >, < 0, -161.342, 0 > )
	WaitFrame()
	CrouchTo( recording, < -1200.26, -1571.6, 442.819 >, < 0, -162.131, 0 > )
	WaitFrame()
	CrouchTo( recording, < -1244.86, -1575.31, 433.041 >, < 0, -164.662, 0 > )
	WaitFrame()
	CrouchTo( recording, < -1283.15, -1572.2, 429.444 >, < 0, -165.867, 0 > )
	WaitFrame()
	SlideTo( recording, < -1323.16, -1560.22, 446.688 >, < 0, -177.804, 0 > )
	WaitFrame()
	SlideTo( recording, < -1349.9, -1541.74, 455.566 >, < 0, 169.073, 0 > )
	WaitFrame()
	SlideTo( recording, < -1376.34, -1500.84, 462.151 >, < 0, 148.429, 0 > )
	WaitFrame()
	SlideTo( recording, < -1385.35, -1460.73, 461.955 >, < 0, 128.596, 0 > )
	WaitFrame()
	SlideTo( recording, < -1380.66, -1408.31, 454.674 >, < 0, 107.114, 0 > )
	WaitFrame()
	SlideTo( recording, < -1364.82, -1366.91, 442.87 >, < 0, 90.5293, 0 > )
	WaitFrame()
	SlideTo( recording, < -1338.95, -1326.65, 424.644 >, < 0, 77.5895, 0 > )
	WaitFrame()
	SlideTo( recording, < -1302.61, -1286.53, 397.426 >, < 0, 64.5086, 0 > )
	WaitFrame()
	SlideTo( recording, < -1279.54, -1280.06, 415.519 >, < 0, 56.1836, 0 > )
	WaitFrame()
	SlideTo( recording, < -1240.48, -1269.13, 440.46 >, < 0, 44.4856, 0 > )
	WaitFrame()
	SlideTo( recording, < -1199.92, -1258.62, 458.679 >, < 0, 32.8839, 0 > )
	WaitFrame()
	SlideTo( recording, < -1162.21, -1251.86, 468.623 >, < 0, 24.0115, 0 > )
	WaitFrame()
	SlideTo( recording, < -1127.3, -1245.6, 472.298 >, < 0, 17.3178, 0 > )
	WaitFrame()
	SlideTo( recording, < -1095.44, -1238.66, 470.982 >, < 0, 14.4766, 0 > )
	WaitFrame()
	SlideTo( recording, < -1059.26, -1222.5, 463.521 >, < 0, 15.1196, 0 > )
	WaitFrame()
	SlideTo( recording, < -1023.8, -1194.76, 447.755 >, < 0, 23.7615, 0 > )
	WaitFrame()
	SlideTo( recording, < -1002.73, -1169.98, 431.926 >, < 0, 31.3756, 0 > )
	WaitFrame()
	SlideTo( recording, < -981.345, -1131.53, 408.041 >, < 0, 43.3529, 0 > )
	WaitFrame()
	SlideTo( recording, < -964.279, -1091.31, 408.041 >, < 0, 51.3789, 0 > )
	WaitFrame()
	SlideTo( recording, < -955.498, -1048.99, 427.679 >, < 0, 61.7622, 0 > )
	WaitFrame()
	SlideTo( recording, < -951.253, -995.544, 448.985 >, < 0, 68.373, 0 > )
	WaitFrame()
	SlideTo( recording, < -953.671, -958.585, 457.549 >, < 0, 76.7076, 0 > )
	WaitFrame()
	SlideTo( recording, < -962.869, -921.332, 461.398 >, < 0, 86.1557, 0 > )
	WaitFrame()
	SlideTo( recording, < -980.809, -881.921, 459.969 >, < 0, 96.6112, 0 > )
	WaitFrame()
	SlideTo( recording, < -1001.87, -848.157, 453.548 >, < 0, 105.274, 0 > )
	WaitFrame()
	SlideTo( recording, < -1029.2, -813.861, 441.044 >, < 0, 113.329, 0 > )
	WaitFrame()
	SlideTo( recording, < -1070.11, -774.952, 416.939 >, < 0, 122.876, 0 > )
	WaitFrame()
	SlideTo( recording, < -1102.13, -751.067, 408.041 >, < 0, 129.057, 0 > )
	WaitFrame()
	SlideTo( recording, < -1138.37, -727.108, 416.48 >, < 0, 133.904, 0 > )
	WaitFrame()
	SlideTo( recording, < -1174.77, -709.479, 438.798 >, < 0, 140.322, 0 > )
	WaitFrame()
	SlideTo( recording, < -1215.53, -695.757, 456.859 >, < 0, 147.06, 0 > )
	WaitFrame()
	SlideTo( recording, < -1258.05, -683.654, 469.664 >, < 0, 156.208, 0 > )
	WaitFrame()
	SlideTo( recording, < -1303.44, -670.733, 477.033 >, < 0, 160.891, 0 > )
	WaitFrame()
	SlideTo( recording, < -1349.13, -657.726, 477.879 >, < 0, 165.122, 0 > )
	WaitFrame()
	SlideTo( recording, < -1391.15, -645.765, 496.766 >, < 0, 167.957, 0 > )
	WaitFrame()
	SlideTo( recording, < -1436.16, -632.95, 510.812 >, < 0, 169.805, 0 > )
	WaitFrame()
	SlideTo( recording, < -1481.12, -620.152, 518.453 >, < 0, 170.679, 0 > )
	WaitFrame()
	SlideTo( recording, < -1521.1, -600.082, 519.746 >, < 0, 170.092, 0 > )
	WaitFrame()
	SlideTo( recording, < -1560.28, -568.156, 513.98 >, < 0, 167.262, 0 > )
	WaitFrame()
	SlideTo( recording, < -1585.64, -547.47, 506.201 >, < 0, 163.199, 0 > )
	WaitFrame()
	SlideTo( recording, < -1623.73, -513.125, 487.713 >, < 0, 150.515, 0 > )
	WaitFrame()
	SlideTo( recording, < -1649.03, -481.632, 468.09 >, < 0, 143.629, 0 > )
	WaitFrame()
	SlideTo( recording, < -1676.05, -435.706, 435.688 >, < 0, 134.394, 0 > )
	WaitFrame()
	SlideTo( recording, < -1692.44, -397.41, 405.38 >, < 0, 127.389, 0 > )
	WaitFrame()
	SlideTo( recording, < -1704.61, -349.881, 364.398 >, < 0, 118.992, 0 > )
	WaitFrame()
	SlideTo( recording, < -1709.37, -302.81, 319.672 >, < 0, 109.97, 0 > )
	WaitFrame()
	SlideTo( recording, < -1708.74, -257.843, 272.507 >, < 0, 103.166, 0 > )
	WaitFrame()
	SlideTo( recording, < -1704.46, -212.971, 246.491 >, < 0, 96.2263, 0 > )
	WaitFrame()
	SlideTo( recording, < -1699.63, -164.431, 274.228 >, < 0, 89.7799, 0 > )
	WaitFrame()
	SlideTo( recording, < -1695.46, -122.76, 303.882 >, < 0, 86.8163, 0 > )
	WaitFrame()
	SlideTo( recording, < -1691.09, -79.081, 328.718 >, < 0, 85.2467, 0 > )
	WaitFrame()
	SlideTo( recording, < -1687.28, -40.9582, 345.728 >, < 0, 83.5778, 0 > )
	WaitFrame()
	SlideTo( recording, < -1682.72, 4.65631, 360.366 >, < 0, 80.8142, 0 > )
	WaitFrame()
	SlideTo( recording, < -1676.69, 64.9098, 370.157 >, < 0, 77.6106, 0 > )
	WaitFrame()
	SlideTo( recording, < -1673.98, 91.976, 371.019 >, < 0, 76.7034, 0 > )
	WaitFrame()
	SlideTo( recording, < -1669.75, 141.484, 366.944 >, < 0, 77.3346, 0 > )
	WaitFrame()
	SlideTo( recording, < -1669.59, 185.882, 357.251 >, < 0, 80.0571, 0 > )
	WaitFrame()
	SlideTo( recording, < -1676.25, 242.405, 336.769 >, < 0, 85.9851, 0 > )
	WaitFrame()
	SlideTo( recording, < -1692.79, 282.51, 315.555 >, < 0, 95.9317, 0 > )
	WaitFrame()
	SlideTo( recording, < -1716.58, 320.943, 296.031 >, < 0, 105.569, 0 > )
	WaitFrame()
	SlideTo( recording, < -1741.07, 354.904, 304.058 >, < 0, 112.029, 0 > )
	WaitFrame()
	SlideTo( recording, < -1788.14, 391.231, 330.283 >, < 0, 127.412, 0 > )
	WaitFrame()
	SlideTo( recording, < -1825.24, 409.072, 342.612 >, < 0, 139.462, 0 > )
	WaitFrame()
	SlideTo( recording, < -1865.8, 428.579, 351.064 >, < 0, 149.607, 0 > )
	WaitFrame()
	SlideTo( recording, < -1913.9, 455.387, 354.257 >, < 0, 157.906, 0 > )
	WaitFrame()
	SlideTo( recording, < -1952.51, 485.552, 350.459 >, < 0, 161.586, 0 > )
	WaitFrame()
	SlideTo( recording, < -1990.8, 515.49, 340.543 >, < 0, 159.768, 0 > )
	WaitFrame()
	SlideTo( recording, < -2027.94, 546.029, 324.747 >, < 0, 153.786, 0 > )
	WaitFrame()
	SlideTo( recording, < -2056.05, 585.019, 303.398 >, < 0, 142.995, 0 > )
	WaitFrame()
	SlideTo( recording, < -2069.08, 633.086, 276.024 >, < 0, 126.765, 0 > )
	WaitFrame()
	SlideTo( recording, < -2067.86, 691.769, 237.305 >, < 0, 114.248, 0 > )
	WaitFrame()
	SlideTo( recording, < -2057.89, 733.052, 205.175 >, < 0, 99.7697, 0 > )
	WaitFrame()
	SlideTo( recording, < -2038.6, 784.53, 158.405 >, < 0, 87.172, 0 > )
	WaitFrame()
	SlideTo( recording, < -2010.37, 834.982, 103.159 >, < 0, 76.195, 0 > )
	WaitFrame()
	SlideTo( recording, < -1979.52, 879.999, 84.0313 >, < 0, 68.6792, 0 > )
	WaitFrame()
	SlideTo( recording, < -1946.32, 922.024, 96.0966 >, < 0, 62.5672, 0 > )
	WaitFrame()
	SlideTo( recording, < -1910.12, 960.537, 116.944 >, < 0, 57.5508, 0 > )
	WaitFrame()
	SlideTo( recording, < -1874.8, 997.987, 131.437 >, < 0, 55.0877, 0 > )
	WaitFrame()
	SlideTo( recording, < -1844.93, 1044.76, 140.939 >, < 0, 53.6963, 0 > )
	WaitFrame()
	SlideTo( recording, < -1834.65, 1087.1, 143.227 >, < 0, 53.7411, 0 > )
	WaitFrame()
	SlideTo( recording, < -1822.41, 1137.56, 139.986 >, < 0, 55.2792, 0 > )
	WaitFrame()
	SlideTo( recording, < -1812.41, 1178.87, 132.505 >, < 0, 57.5139, 0 > )
	WaitFrame()
	SlideTo( recording, < -1800.38, 1230.43, 117.118 >, < 0, 64.9859, 0 > )
	WaitFrame()
	SlideTo( recording, < -1798.5, 1283.29, 95.3066 >, < 0, 74.4391, 0 > )
	WaitFrame()
	SlideTo( recording, < -1809.59, 1335.96, 84.0413 >, < 0, 85.5598, 0 > )
	WaitFrame()
	SlideTo( recording, < -1818.85, 1375.55, 84.0413 >, < 0, 90.2464, 0 > )
	WaitFrame()
	SlideTo( recording, < -1843.91, 1429.16, 111.64 >, < 0, 100.837, 0 > )
	WaitFrame()
	SlideTo( recording, < -1865.88, 1462.42, 125.175 >, < 0, 107.978, 0 > )
	WaitFrame()
	SlideTo( recording, < -1898.04, 1509.94, 137.985 >, < 0, 118.268, 0 > )
	WaitFrame()
	SlideTo( recording, < -1922.42, 1545.95, 142.478 >, < 0, 124.666, 0 > )
	WaitFrame()
	SlideTo( recording, < -1952.16, 1589.89, 141.863 >, < 0, 129.948, 0 > )
	WaitFrame()
	SlideTo( recording, < -1984.56, 1637.76, 165.356 >, < 0, 132.886, 0 > )
	WaitFrame()
	SlideTo( recording, < -2002.36, 1664.05, 179.702 >, < 0, 135.82, 0 > )
	WaitFrame()
	SlideTo( recording, < -2022.85, 1710.24, 198.376 >, < 0, 135.825, 0 > )
	WaitFrame()
	SlideTo( recording, < -2034.68, 1762.2, 210.926 >, < 0, 134.618, 0 > )
	WaitFrame()
	SlideTo( recording, < -2046.23, 1813.07, 215.664 >, < 0, 132.099, 0 > )
	WaitFrame()
	SlideTo( recording, < -2055.75, 1855.09, 213.95 >, < 0, 129.382, 0 > )
	WaitFrame()
	SlideTo( recording, < -2063.06, 1887.41, 209.168 >, < 0, 123.436, 0 > )
	WaitFrame()
	SlideTo( recording, < -2075.1, 1940.67, 194.717 >, < 0, 117.72, 0 > )
	WaitFrame()
	SlideTo( recording, < -2082.2, 1984.84, 176.912 >, < 0, 111.763, 0 > )
	WaitFrame()
	SlideTo( recording, < -2083.59, 2033.57, 151.729 >, < 0, 104.807, 0 > )
	WaitFrame()
	SlideTo( recording, < -2078.82, 2088.77, 116.003 >, < 0, 99.2377, 0 > )
	WaitFrame()
	SlideTo( recording, < -2070.73, 2136.96, 105.825 >, < 0, 92.0233, 0 > )
	WaitFrame()
	SlideTo( recording, < -2063.57, 2170.08, 112.789 >, < 0, 89.5675, 0 > )
	WaitFrame()
	SlideTo( recording, < -2049.43, 2219.38, 135.016 >, < 0, 84.8544, 0 > )
	WaitFrame()
	SlideTo( recording, < -2030.74, 2264.97, 149.73 >, < 0, 83.7816, 0 > )
	WaitFrame()
	SlideTo( recording, < -2005.63, 2313.74, 158.727 >, < 0, 71.8027, 0 > )
	WaitFrame()
	SlideTo( recording, < -1974.37, 2362.88, 160.002 >, < 0, 67.2519, 0 > )
	WaitFrame()
	SlideTo( recording, < -1955.43, 2389.26, 157.098 >, < 0, 64.5671, 0 > )
	WaitFrame()
	SlideTo( recording, < -1926.48, 2424.71, 148.704 >, < 0, 61.376, 0 > )
	WaitFrame()
	SlideTo( recording, < -1880.48, 2473.3, 127.548 >, < 0, 55.9667, 0 > )
	WaitFrame()
	SlideTo( recording, < -1852.37, 2498.7, 111.01 >, < 0, 53.0635, 0 > )
	WaitFrame()
	SlideTo( recording, < -1817.35, 2528.1, 88.4069 >, < 0, 49.7271, 0 > )
	WaitFrame()
	SlideTo( recording, < -1783.92, 2555.45, 91.3121 >, < 0, 48.0042, 0 > )
	WaitFrame()
	SlideTo( recording, < -1725.94, 2596.94, 123.122 >, < 0, 44.2489, 0 > )
	WaitFrame()
	SlideTo( recording, < -1694.34, 2616.36, 134.305 >, < 0, 40.8493, 0 > )
	WaitFrame()
	SlideTo( recording, < -1654.62, 2636.25, 142.951 >, < 0, 37.0269, 0 > )
	WaitFrame()
	SlideTo( recording, < -1614.28, 2651.3, 146.521 >, < 0, 32.5464, 0 > )
	WaitFrame()
	SlideTo( recording, < -1561.92, 2663.13, 144.564 >, < 0, 24.6448, 0 > )
	WaitFrame()
	SlideTo( recording, < -1502.71, 2668.74, 134.381 >, < 0, 16.933, 0 > )
	WaitFrame()
	SlideTo( recording, < -1448.06, 2668.07, 117.843 >, < 0, 10.6435, 0 > )
	WaitFrame()
	SlideTo( recording, < -1402.35, 2664.82, 112.041 >, < 0, 6.52452, 0 > )
	WaitFrame()
	SlideTo( recording, < -1361.38, 2661.54, 112.041 >, < 0, 4.78933, 0 > )
	WaitFrame()
	SlideTo( recording, < -1305.41, 2643.75, 140.74 >, < 0, -4.33968, 0 > )
	WaitFrame()
	SlideTo( recording, < -1266.71, 2630.01, 155.004 >, < 0, -9.50959, 0 > )
	WaitFrame()
	SlideTo( recording, < -1225.95, 2615.53, 164.957 >, < 0, -12.5196, 0 > )
	WaitFrame()
	SlideTo( recording, < -1175.95, 2597.78, 170.059 >, < 0, -15.0953, 0 > )
	WaitFrame()
	SlideTo( recording, < -1137.01, 2583.95, 168.606 >, < 0, -15.121, 0 > )
	WaitFrame()
	SlideTo( recording, < -1083.04, 2564.78, 193.584 >, < 0, -14.1145, 0 > )
	WaitFrame()
	SlideTo( recording, < -1045.64, 2551.5, 212.051 >, < 0, -13.7404, 0 > )
	WaitFrame()
	SlideTo( recording, < -994.881, 2533.47, 230.103 >, < 0, -13.5585, 0 > )
	WaitFrame()
	SlideTo( recording, < -957.107, 2520.06, 238.299 >, < 0, -13.6685, 0 > )
	WaitFrame()
	SlideTo( recording, < -925.066, 2508.68, 241.748 >, < 0, -13.2323, 0 > )
	WaitFrame()
	SlideTo( recording, < -876.955, 2507.76, 241.097 >, < 0, -11.1306, 0 > )
	WaitFrame()
	SlideTo( recording, < -826.237, 2509.7, 233.38 >, < 0, -7.82226, 0 > )
	WaitFrame()
	SlideTo( recording, < -775.413, 2517.02, 218.431 >, < 0, -2.60669, 0 > )
	WaitFrame()
	SlideTo( recording, < -735.143, 2532.42, 200.683 >, < 0, 6.24718, 0 > )
	WaitFrame()
	SlideTo( recording, < -698.858, 2553.57, 179.087 >, < 0, 14.1596, 0 > )
	WaitFrame()
	SlideTo( recording, < -649.71, 2589.13, 140.418 >, < 0, 23.3019, 0 > )
	WaitFrame()
	SlideTo( recording, < -610.194, 2623.72, 99.9521 >, < 0, 29.6519, 0 > )
	WaitFrame()
	SlideTo( recording, < -575.448, 2661.19, 74.2135 >, < 0, 35.5015, 0 > )
	WaitFrame()
	SlideTo( recording, < -545.984, 2694.24, 73.662 >, < 0, 38.3389, 0 > )
	WaitFrame()
	SlideTo( recording, < -513.208, 2731.19, 72.3585 >, < 0, 39.8013, 0 > )
	WaitFrame()
	SlideTo( recording, < -496.205, 2750.4, 73.9916 >, < 0, 40.3785, 0 > )
	WaitFrame()
	RunTo( recording, < -476.916, 2771.76, 77.0267 >, < 0, 41.9432, 0 > )
	WaitFrame()
	RunTo( recording, < -481.134, 2767.33, 76.3988 >, < 0, 44.7025, 0 > )
	WaitFrame()
	RunTo( recording, < -493.698, 2753.74, 74.4563 >, < 0, 46.0799, 0 > )
	WaitFrame()
	RunTo( recording, < -506.51, 2739.74, 72.4715 >, < 0, 46.9535, 0 > )
	WaitFrame()
	RunTo( recording, < -517.251, 2727.71, 72.5037 >, < 0, 47.6766, 0 > )
	WaitFrame()
	RunTo( recording, < -528.605, 2717.56, 72.9192 >, < 0, 48.4227, 0 > )
	WaitFrame()
	RunTo( recording, < -530.831, 2715.8, 72.9744 >, < 0, 48.7945, 0 > )
	WaitFrame()
	RunTo( recording, < -530.831, 2715.8, 72.9744 >, < 0, 49.1948, 0 > )
	WaitFrame()
	RunTo( recording, < -522.6, 2699.6, 73.4902 >, < 0, 49.831, 0 > )
	WaitFrame()
	RunTo( recording, < -515.098, 2691.97, 73.7343 >, < 0, 50.4895, 0 > )
	WaitFrame()
	JumpTo( recording, < -495.288, 2680.3, 92.8295 >, < 0, 52.1693, 0 > )
	WaitFrame()
	JumpTo( recording, < -477.656, 2672.75, 119.374 >, < 0, 53.6704, 0 > )
	WaitFrame()
	JumpTo( recording, < -440.038, 2658.71, 160.96 >, < 0, 56.5473, 0 > )
	WaitFrame()
	JumpTo( recording, < -412.25, 2653.71, 183.941 >, < 0, 58.8491, 0 > )
	WaitFrame()
	JumpTo( recording, < -363.516, 2652.3, 217.118 >, < 0, 62.7598, 0 > )
	WaitFrame()
	JumpTo( recording, < -298.267, 2660.34, 254.433 >, < 0, 68.1395, 0 > )
	WaitFrame()
	JumpTo( recording, < -240.013, 2675.59, 283.876 >, < 0, 72.6615, 0 > )
	WaitFrame()
	JumpTo( recording, < -180.674, 2701.53, 312.465 >, < 0, 77.7501, 0 > )
	WaitFrame()
	JumpTo( recording, < -118.327, 2743.26, 342.391 >, < 0, 84.8753, 0 > )
	WaitFrame()
	JumpTo( recording, < -57.822, 2799.86, 371.439 >, < 0, 93.2794, 0 > )
	WaitFrame()
	JumpTo( recording, < -2.09787, 2871.7, 399.367 >, < 0, 103.251, 0 > )
	WaitFrame()
	JumpTo( recording, < 39.4872, 2945.01, 422.428 >, < 0, 113.813, 0 > )
	WaitFrame()
	JumpTo( recording, < 78.7055, 3045.36, 448.89 >, < 0, 131.082, 0 > )
	WaitFrame()
	JumpTo( recording, < 100.693, 3128.84, 468.286 >, < 0, 149.063, 0 > )
	WaitFrame()
	JumpTo( recording, < 112.57, 3179.94, 477.799 >, < 0, 166.678, 0 > )
	WaitFrame()
	JumpTo( recording, < 132.307, 3264.89, 485.299 >, < 0, 122.631, 0 > )
	WaitFrame()
	FallTo( recording, < 144.919, 3319.18, 484.656 >, < 0, 106.68, 0 > )
	WaitFrame()
	FallTo( recording, < 158.553, 3377.87, 479.194 >, < 0, 98.8548, 0 > )
	WaitFrame()
	FallTo( recording, < 176.173, 3453.67, 464.808 >, < 0, 92.675, 0 > )
	WaitFrame()
	FallTo( recording, < 189.483, 3510.89, 448.475 >, < 0, 88.8297, 0 > )
	WaitFrame()
	JumpTo( recording, < 202.674, 3567.61, 472.505 >, < 0, 85.7437, 0 > )
	WaitFrame()
	SlideTo( recording, < 220.565, 3644.53, 510.203 >, < 0, 83.9486, 0 > )
	WaitFrame()
	SlideTo( recording, < 234.937, 3706.32, 524.281 >, < 0, 82.9897, 0 > )
	WaitFrame()
	SlideTo( recording, < 251.551, 3777.75, 533.712 >, < 0, 81.8255, 0 > )
	WaitFrame()
	SlideTo( recording, < 264.529, 3833.55, 535.975 >, < 0, 81.0352, 0 > )
	WaitFrame()
	SlideTo( recording, < 282.361, 3894.88, 533.227 >, < 0, 79.0251, 0 > )
	WaitFrame()
	SlideTo( recording, < 310.632, 3956.8, 524.321 >, < 0, 74.6123, 0 > )
	WaitFrame()
	SlideTo( recording, < 347.74, 4022.33, 507.425 >, < 0, 69.4228, 0 > )
	WaitFrame()
	SlideTo( recording, < 385.995, 4083.86, 484.236 >, < 0, 65.8925, 0 > )
	WaitFrame()
	SlideTo( recording, < 426.889, 4144.38, 454.043 >, < 0, 63.7741, 0 > )
	WaitFrame()
	SlideTo( recording, < 466.859, 4197.62, 420.644 >, < 0, 60.8609, 0 > )
	WaitFrame()
	SlideTo( recording, < 511.111, 4253.88, 378.468 >, < 0, 57.8205, 0 > )
	WaitFrame()
	SlideTo( recording, < 544.087, 4295.8, 342.775 >, < 0, 55.7175, 0 > )
	WaitFrame()
	SlideTo( recording, < 588.044, 4351.69, 289.531 >, < 0, 53.5971, 0 > )
	WaitFrame()
	SlideTo( recording, < 633.674, 4409.7, 227.416 >, < 0, 51.9111, 0 > )
	WaitFrame()
	SlideTo( recording, < 677.547, 4465.52, 186.134 >, < 0, 50.7849, 0 > )
	WaitFrame()
	SlideTo( recording, < 715.644, 4515.06, 203.857 >, < 0, 50.0544, 0 > )
	WaitFrame()
	SlideTo( recording, < 751.547, 4562.18, 223.878 >, < 0, 49.8937, 0 > )
	WaitFrame()
	SlideTo( recording, < 779.378, 4598.71, 242.683 >, < 0, 50.1858, 0 > )
	WaitFrame()
	SlideTo( recording, < 817.638, 4648.93, 267.354 >, < 0, 50.7688, 0 > )
	WaitFrame()
	SlideTo( recording, < 858.421, 4702.45, 286.521 >, < 0, 51.271, 0 > )
	WaitFrame()
	SlideTo( recording, < 898.2, 4754.66, 298.126 >, < 0, 51.5615, 0 > )
	WaitFrame()
	SlideTo( recording, < 935.688, 4803.87, 302.655 >, < 0, 51.5615, 0 > )
	WaitFrame()
	SlideTo( recording, < 965.238, 4842.65, 301.842 >, < 0, 51.6715, 0 > )
	WaitFrame()
	SlideTo( recording, < 1002.34, 4891.34, 295.351 >, < 0, 52.0185, 0 > )
	WaitFrame()
	SlideTo( recording, < 1039.44, 4941.91, 282.38 >, < 0, 52.8129, 0 > )
	WaitFrame()
	SlideTo( recording, < 1073.75, 5006.32, 259.446 >, < 0, 55.0386, 0 > )
	WaitFrame()
	SlideTo( recording, < 1098.87, 5062.17, 247.919 >, < 0, 57.6067, 0 > )
	WaitFrame()
	SlideTo( recording, < 1117.16, 5104.25, 247.163 >, < 0, 58.8054, 0 > )
	WaitFrame()
	SlideTo( recording, < 1130.92, 5152.02, 260.667 >, < 0, 64.3983, 0 > )
	WaitFrame()
	SlideTo( recording, < 1135.15, 5216.6, 285.531 >, < 0, 73.3809, 0 > )
	WaitFrame()
	SlideTo( recording, < 1132.5, 5257.61, 296.504 >, < 0, 79.4336, 0 > )
	WaitFrame()
	SlideTo( recording, < 1122.54, 5311.82, 305.57 >, < 0, 87.7815, 0 > )
	WaitFrame()
	SlideTo( recording, < 1105.97, 5362.72, 308.384 >, < 0, 94.7736, 0 > )
	WaitFrame()
	SlideTo( recording, < 1084.51, 5415.7, 310.27 >, < 0, 100.523, 0 > )
	WaitFrame()
	SlideTo( recording, < 1063.75, 5459.23, 326.006 >, < 0, 104.773, 0 > )
	WaitFrame()
	SlideTo( recording, < 1038.33, 5503.99, 347.066 >, < 0, 108.889, 0 > )
	WaitFrame()
	SlideTo( recording, < 1006.12, 5545.72, 361.871 >, < 0, 116.109, 0 > )
	WaitFrame()
	SlideTo( recording, < 963.758, 5579.24, 370.104 >, < 0, 126.453, 0 > )
	WaitFrame()
	SlideTo( recording, < 916.903, 5607.05, 371.726 >, < 0, 135.846, 0 > )
	WaitFrame()
	SlideTo( recording, < 871.464, 5630.99, 367.254 >, < 0, 140.728, 0 > )
	WaitFrame()
	SlideTo( recording, < 824.729, 5655.58, 356.61 >, < 0, 143.25, 0 > )
	WaitFrame()
	SlideTo( recording, < 778.209, 5680.03, 339.93 >, < 0, 144.485, 0 > )
	WaitFrame()
	SlideTo( recording, < 733.245, 5703.65, 318.044 >, < 0, 145.069, 0 > )
	WaitFrame()
	SlideTo( recording, < 691.66, 5725.25, 309.137 >, < 0, 145.437, 0 > )
	WaitFrame()
	SlideTo( recording, < 648.277, 5747.13, 305.87 >, < 0, 145.612, 0 > )
	WaitFrame()
	print( "recoding ended naturally" )
}

void function RunTo( Recording recording, vector origin, vector angles )
{
	// print( "running to" + origin )
	recording.mover.NonPhysicsMoveTo( origin, FAST, 0, 0 )
	recording.mover.NonPhysicsRotateTo( angles, FAST, 0, 0 )
	recording.state = !recording.state
	// recording.pilot.Anim_Play( recording.state ? "Sprint_mp_forward" : "Sprint_mp_backward" )
	recording.pilot.Anim_Play( "Sprint_mp_forward" )
	recording.pilot.Anim_SetInitialTime( recording.pilot.GetSequenceDuration( "Sprint_mp_forward" ) * ( recording.state ? 0.0 : 0.05 ) )
}

void function SlideTo( Recording recording, vector origin, vector angles )
{
	// print( "sliding to" + origin )
	recording.mover.NonPhysicsMoveTo( origin, FAST, 0, 0 )
	recording.mover.NonPhysicsRotateTo( angles, FAST, 0, 0 )
	recording.pilot.Anim_Play( "Slide_forward_mp" )
}

void function CrouchTo( Recording recording, vector origin, vector angles )
{
	// print( "crouching to" + origin )
	recording.mover.NonPhysicsMoveTo( origin, FAST, 0, 0 )
	recording.mover.NonPhysicsRotateTo( angles, FAST, 0, 0 )
	recording.state = !recording.state

	// recording.pilot.Anim_Play( recording.state ? "ACT_MP_CROUCHWALK_FORWARD" : "Sprint_mp_backward" )
	recording.pilot.Anim_Play( "ACT_MP_CROUCHWALK_FORWARD" )
	recording.pilot.Anim_SetInitialTime( recording.pilot.GetSequenceDuration( "ACT_MP_CROUCHWALK_FORWARD" ) * ( recording.state ? 0.0 : 0.05 ) )
}

void function JumpTo( Recording recording, vector origin, vector angles )
{
	// print( "jumping to" + origin )
	recording.mover.NonPhysicsMoveTo( origin, FAST, 0, 0 )
	recording.mover.NonPhysicsRotateTo( angles, FAST, 0, 0 )
	recording.pilot.Anim_Play( "jump_start" )
}

void function FallTo( Recording recording, vector origin, vector angles )
{
	// print( "falling to" + origin )
	recording.mover.NonPhysicsMoveTo( origin, FAST, 0, 0 )
	recording.mover.NonPhysicsRotateTo( angles, FAST, 0, 0 )
	recording.pilot.Anim_Play( "jump_start" )
}


void function WallRunTo( Recording recording, string side, vector origin, vector angles )
{
	// print( "wallrunning to" + origin )
	recording.pilot.Anim_Play( WALLRUN_MAP[side] )
	recording.mover.NonPhysicsRotateTo( angles, FAST, 0, 0 )
	recording.mover.NonPhysicsMoveTo( origin, FAST, 0, 0 )
}

void function TEST_built_in_anims()
{
	entity player = GetPlayerByIndex( 0 )
	string filename = "../R2Northstar/mods/cat_or_not.DEV_Recorder/mod/scripts/vscripts/saved_recordings/test.txt"

	// var rec = LoadRecordedAnimation( $"anim_recording/sp_crashsite_wallrun_4.rpak" )

	entity ref = CreateScriptMover( player.GetOrigin() ) // should cleanup this in release

	printt( "READY TO RECORD: " + filename )

	//start recording
	wait 2
	printt( "RECORDING STARTED" )

	player.StartRecordingAnimation( ref.GetOrigin(), ref.GetAngles() )

	//stop
	wait 5

	var recording = player.StopRecordingAnimation()

	// SaveRecordedAnimation( recording, filename )

	// DevTextBufferClear()

	// DevTextBufferWrite( recording )

    // DevP4Checkout( filename )
	// DevTextBufferDumpToFile( filename )
	// DevP4Add( filename )

	printt( "STOP RECORD player org/ang:", player.GetOrigin(), player.GetAngles() )

	wait 2

	printt( "RECORDING PLAYING" )

	entity ghost = CreateGhost( player.GetOrigin() )

	print( recording )

	ghost.PlayRecordedAnimation( recording, <0,0,0>, <0,0,0>, DEFAULT_SCRIPTED_ANIMATION_BLEND_TIME, ref )
}

entity function CreateGhost( vector origin )
{
	entity ghost = CreatePropScript( $"models/humans/heroes/mlt_hero_jack.mdl", origin, < 0, 0, 0 >, 0, 99999 )
	ghost.kv.skin = PILOT_SKIN_INDEX_GHOST
	ghost.kv.rendercolor = "94 174 255" //Blue
	ghost.kv.VisibilityFlags = ENTITY_VISIBLE_TO_EVERYONE
	ghost.SetFootstepType( "holopath" )

	int helmetDecalGroupIdx = ghost.FindBodyGroup( "decal" )
	ghost.SetBodygroup( helmetDecalGroupIdx, 1 )  // 1 = no decal

	ghost.SetTitle( "cat_or_not" )

	// entity weapon = CreatePropPhysics( $"models/weapons/rspn101/w_rspn101.mdl", origin, < 0, 0, 0 > )
	// weapon.kv.skin = WEAPON_SKIN_INDEX_GHOST
	// weapon.kv.rendercolor = "94 174 255" //Blue
	// weapon.kv.VisibilityFlags = ENTITY_VISIBLE_TO_EVERYONE
	// weapon.SetParent( ghost, "PROPGUN", false )

	// ghost.e.attachedEnts.append( weapon )

	EmitSoundOnEntity( ghost, "PathHologram_Sustain_Loop_3P" )

	return ghost
}